/*
 *  $Id: fr_buildvers.c,v 1.2 1999/10/17 16:56:48 bill Exp $
 *  
 *  Print the build version to stdout.  Intended for scripts that may need to
 *  report the version of Freedom.
 */

#include <stdio.h>
#include <stdlib.h>


#define I(s) s
#define S(s) #s
#define SV(s) S(s)

#if defined(FREEDOM_PRODUCTION_BUILD)
static const char *bv = S(FREEDOM_PRODUCTION_BUILD) "=" SV(FREEDOM_PRODUCTION_BUILD);
#elif defined(FREEDOM_DEVELOPMENT_BUILD)
static const char *bv = S(FREEDOM_DEVELOPMENT_BUILD) "=" SV(FREEDOM_DEVELOPMENT_BUILD);
#else
#error "build version is undefined"
#endif


int main(void)
{
  printf("%s\n", bv);
  exit(EXIT_SUCCESS);
  return 0; /* to shut up insure */
}
