#ifndef _cDHNegotiatorErr
#define _cDHNegotiatorErr

#define ZKS_DHNEGOTIATOR_ALREADYREG_ERR      0x0001  // Result handler already registered
#define ZKS_DHNEGOTIATOR_NEVERREG_ERR        0x0002  // Result handler was never registered
#define ZKS_DHNEGOTIATOR_CORELOOP_ERR        0x0003  // Problem with core loop
#define ZKS_DHNEGOTIATOR_SOCKET_ERR          0x0004  // Socket manipulation error
#define ZKS_DHNEGOTIATOR_WRONGSTATE_ERR      0x0005  // Illegal state for event type
#define ZKS_DHNEGOTIATOR_BADMSG_ERR          0x0006  // Received improprer message
#define ZKS_DHNEGOTIATOR_DIFHEL_ERR          0x0007  // Problem with D-H library
#define ZKS_DHNEGOTIATOR_WRONGTYPE_ERR       0x0008  // Illegal D-H type
#define ZKS_DHNEGOTIATOR_KEYNOTVALID_ERR     0x0009  // Can't get signature key
#define ZKS_DHNEGOTIATOR_BADPARAM_ERR        0x000A  // Bad parameter
#define ZKS_DHNEGOTIATOR_INVALIDCONFIG_ERR   0x000B  // Invalid config

#endif //_cDHNegotiatorErr

