//
// cDHNegotiatorEventHandlerAccept class definition
// 
// 
#ifndef __CDHNEGOTIATOREVENTHANDLERACCEPT_H
#define __CDHNEGOTIATOREVENTHANDLERACCEPT_H

#include "czkEventHandler.h"
#include "cDHNegotiatorResultHandler.h"


class cDHNegotiator;

// Acceptor socket event handler class
class cDHNegotiatorEventHandlerAccept : public czkEventHandler 
{
private:
    DHNegoType type;
    cDHNegotiator * dh;
    
public:
    cDHNegotiatorEventHandlerAccept() { dh = NULL; };
    cDHNegotiatorEventHandlerAccept(cDHNegotiatorEventHandlerAccept &)
        : czkEventHandler() { assert(0); };
    void operator=(cDHNegotiatorEventHandlerAccept &) { assert(0); };
    virtual ~cDHNegotiatorEventHandlerAccept() {} ;
    
    void handleInput(czkSocket *, czkEventHandlerData *);
    void handleOutput(czkSocket *, czkEventHandlerData *) { assert(0); };
    void handleException(czkSocket *, czkEventHandlerData *);
    int32_t handleTimeout(czkEventHandlerData *) { assert(0); };

    void setType(DHNegoType typein) { type = typein; };
    DHNegoType getType() { return type; };
    void setDHNegotiator(cDHNegotiator * dhin) { dh = dhin; };
};       

#endif // __CDHNEGOTIATOREVENTHANDLERACCEPT_H
