//
// cDHNegotiatorKeyHandler class definition
// 
// 
#ifndef __CDHNEGOTIATORKEYHANDLER_H
#define __CDHNEGOTIATORKEYHANDLER_H

#include "cKeyProviderEventHandler.h"


class cDHNegotiator;
class cDHNegotiatorInfo;

class cDHNegotiatorKeyHandler : public cKeyProviderEventHandler
{
private:
    cDHNegotiator * dh;
    cDHNegotiatorInfo * negoInfo;
    
public:
    // constructor
    cDHNegotiatorKeyHandler(cDHNegotiator * dhin, cDHNegotiatorInfo * nego);

    // destructor
    virtual ~cDHNegotiatorKeyHandler() {};

    // assignment operator
    void operator=(const cDHNegotiatorKeyHandler &) { assert(0); }
    
    // event handler   
    void handleEvent(cKeyProviderCacheEntryData entryData);
};

#endif // __CDHNEGOTIATORKEYHANDLER_H
