#define REV_ID "@(#) $Id: cNetinfoProvider_stub.cpp,v 1.2 2001/04/18 17:36:52 alainc Exp $"
#include <zkrev.h>
#include "cNetInfoProvider.h"
#include "cNetInfoEntity.h"

cNetInfoEntity tmp;

const cNetInfoEntity cNetInfoEntity::NullEntity;

  // constructor
cNetInfoProvider::cNetInfoProvider() 
{
}

  // destructor
cNetInfoProvider::~cNetInfoProvider() {}

  // validate configuration
bool cNetInfoProvider::validateConfig() 
{ return true;}

  // initialize private data members
bool cNetInfoProvider::initializePrivateData(czkCoreLoop* coreloopin) 
{ (void) coreloopin;
return true; }

void cNetInfoProvider::cleanupPrivateData() 
{ }

  // startup
void cNetInfoProvider::startup() {signalReady(); }
void cNetInfoProvider::shutdown() {}

  // Connect to the local NIDS
bool cNetInfoProvider::connectNids(unsigned int value) {(void) value; return true;}

  // Reload internal structures with new, validated data
  void cNetInfoProvider::refresh() {};

void cNetInfoProvider::prodNid(cNetInfoData *nid) {(void) nid;}

  // Return entity of specified type and name
  const cNetInfoEntity &cNetInfoProvider::getEntity(FrEntIdType entType, const char *name) {(void) name;(void)entType; return 0;}

  // Return entity of specified type and id.
  const cNetInfoEntity &cNetInfoProvider::getEntity(FrEntIdType entType, uint32_t entId) {(void) entType;(void)entId; return 0;}

  // Return all entities of specified type
  cNetInfoEntity::entListType *cNetInfoProvider::getEntities(FrEntIdType entType, bool b) {(void) entType;(void)b;return 0;}


  // Return the next KQS entity (round-robin)
  cNetInfoEntity cNetInfoProvider::getNextKQS(void) 
  {
     
     FrEntIdExp entity;
     ZKPRNetAddr addr;
     uint16_t    dhport;
     
     czkNetAddr netaddr;
     netaddr.getNetAddr( (const char *)"10.16.1.48", &addr); // jean  
     addr.inet.port = netaddr.HtoNs(51109);
       
     memset(entity.name, 0, sizeof( entity.name));

	 string kqs = "KQS";
     sprintf(entity.name, kqs.c_str()); 
     entity.type = FRENT_TYPE_AIP;

     cNetInfoEntity* pe = new cNetInfoEntity( entity, addr, dhport);

     return *pe;
      
  };

  // Return the next NISS entity (round-robin)
  cNetInfoEntity cNetInfoProvider::getNextNISS(void) {return 0;}

  // Return a list of AIP entities.
  cNetInfoEntity::entListType *cNetInfoProvider::getAIPs(void) {return 0;}

  // Constructor
  cNetInfoEntity::cNetInfoEntity() {};

  // Destructor
  cNetInfoEntity::~cNetInfoEntity() {};

  // Constructor derived from FrNetInfoDatum
  cNetInfoEntity::cNetInfoEntity(const FrNetInfoDatum) {};

  // Copy constructor
  cNetInfoEntity::cNetInfoEntity(const cNetInfoEntity& e)
 {
    idExp = e.idExp;
    netAddr = e.netAddr;
    dhPort = e.dhPort;
 };

  // Assignment operator
 cNetInfoEntity&  cNetInfoEntity::operator=(const cNetInfoEntity& e)
{
  if (this != &e) {
    idExp = e.idExp;
    netAddr = e.netAddr;
    dhPort = e.dhPort;
   }
  return *this;
};
