#ifndef _cLinkManagerEventHandlerDataTimeout

#define _cLinkManagerEventHandlerDataTimeout

#include "aip-modules.h"
#include "czknspr.h"

#include "czkEventHandler.h"

class cLinkManagerInfo;
class cLinkManager;

//
// this class provides the data for IO & timeout events
// 
class cLinkManagerEventHandlerDataTimeout : public czkEventHandlerData {

private:

  enum TimeoutType{ retryNegoTimeout, linkExpiryTimeout, updateTableTimeout };

  TimeoutType type;

public:
 
  cLinkManagerInfo* linkinfo;
  cLinkManager*     pLinkManager;

  void setRetryNegoTimeout() { type = retryNegoTimeout; }
  bool isRetryNegoTimeout() { return (type == retryNegoTimeout); }

  void setLinkExpiryTimeout() { type = linkExpiryTimeout; }
  bool isLinkExpiryTimeout() { return (type == linkExpiryTimeout); }

  void setUpdateTableTimeout() { type = updateTableTimeout; }
  bool isUpdateTableTimeout() { return (type == updateTableTimeout); }


};

#endif
