#ifndef _cLinkManagerResultHandler

#define _cLinkManagerResultHandler

#include "frEnt.h"

#include "aip-modules.h"

#include "cDHNegotiatorResultHandler.h"
#include "cLinkManagerInfo.h"

class cLinkManager;

//class to handle DH Negotiation results
class cLinkManagerResultHandler : public cDHNegotiatorResultHandler {

private:

  cLinkManager* pLinkManager;

public:

  void reportResult( FrEntIdExp& entity, 
                     DHNegoResult result, uint8_t lekv,
                     SymKey encrKey, 
                     SymKey decrKey,
                     ZKPRNetAddr* dhaddr);

  void setLinkManager( cLinkManager* p);

};

#endif
