#ifndef _cNetInfoKeyHandler

#define _cNetInfoKeyHandler

#include "aip-modules.h"

#include "frEnt.h"
#include "frSec.h"
#include "frKeyQry.h"
#include "frCrypt.h"

#include "cNetInfoProviderErr.h"

#include "cKeyProviderEventHandler.h"
#include "cKeyProviderCacheEntryData.h"

#include "cNetInfoSigData.h"

//
// Class to process keys received from KeyProvider
//

class cNetInfoData;

class cNetInfoKeyHandler: public cKeyProviderEventHandler {

private:
  cNetInfoData* nid;

public:
  void init(class cNetInfoData* nid) {this->nid = nid;};
  void handleEvent(cKeyProviderCacheEntryData entryData);
};


#endif
