#ifndef _cRouteCreatorErr

#define _cRouteCreatorErr

/*
 list of error code for cRouteCreator
*/

#define ZKS_ROUTECREATOR_NOLINKINFO_ERR           0x0001
#define ZKS_ROUTECREATOR_CANTGETPKTTYPE_ERR       0x0002
#define ZKS_ROUTECREATOR_NOACIMAP_ERR             0x0003
#define ZKS_ROUTECREATOR_INVALIDROUTESTATE_ERR    0x0004
#define ZKS_ROUTECREATOR_INVALIDPKTTYPE_ERR       0x0005
#define ZKS_ROUTECREATOR_TIMEOFDAY_ERR            0x0006
#define ZKS_ROUTECREATOR_BADEXPTIME_ERR           0x0007
#define ZKS_ROUTECREATOR_ROUTEALREADYEXISTS_ERR   0x0008
#define ZKS_ROUTECREATOR_ROUTEEXTEND_ERR          0x0009
#define ZKS_ROUTECREATOR_UNKNOWNWORMACI_ERR       0x000A
#define ZKS_ROUTECREATOR_NETADDRMASKPARSE_ERR     0x000B
#define ZKS_ROUTECREATOR_NETADDRNOTFREE_ERR       0x000C
#define ZKS_ROUTECREATOR_NETADDRNONELEFT_ERR      0x000D
#define ZKS_ROUTECREATOR_NETADDRALREADYFREE_ERR   0x000E
#define ZKS_ROUTECREATOR_FAKEADDRNOTCONF_ERR      0x000F
#define ZKS_ROUTECREATOR_OUTOFACI_ERR             0x0010
#define ZKS_ROUTECREATOR_OUTOFFAKEADDR_ERR        0x0011
#define ZKS_ROUTECREATOR_INVALIDCONFIG_ERR        0x0012
#define ZKS_ROUTECREATOR_NOROUTEINFO_ERR          0x0013
#define ZKS_ROUTECREATOR_OPENLOCK_ERR             0x0014
#define ZKS_ROUTECREATOR_NULLPTR_ERR              0x0015
#define ZKS_ROUTECREATOR_RANGE_ERR                0x0016
#define ZKS_ROUTECREATOR_CREATE_ABORT_ERR         0x0017

/*
 list of error code for RouteDestroy pkt
*/

#define ZKS_ROUTEDESTROY_BROKENLINK_ERR           0x0001
#define ZKS_ROUTEDESTROY_LINKDOWN_ERR             0x0002
#define ZKS_ROUTEDESTROY_ACKTIMEOUT_ERR           0x0003
#define ZKS_ROUTEDESTROY_ROUTETIMEOUT_ERR         0x0004
#define ZKS_ROUTEDESTROY_INVALIDSIG_ERR           0x0005
#define ZKS_ROUTEDESTROY_KEYREQFAILED_ERR         0x0006
#define ZKS_ROUTEDESTROY_ROUTEEXTENDAUTH_ERR      0x0007
#define ZKS_ROUTEDESTROY_ROUTEEXTENDUNAUTH_ERR    0x0008
#define ZKS_ROUTEDESTROY_ROUTEEXTENDACI_ERR       0x0009
#define ZKS_ROUTEDESTROY_ROUTEEXTENDNYM_ERR       0x000A
#define ZKS_ROUTEDESTROY_MAXROUTES_ERR            0x000B
#define ZKS_ROUTEDESTROY_BADEXPTIME_ERR           0x000C
#define ZKS_ROUTEDESTROY_FAKEADDRNOTCONF_ERR      0x000D
#define ZKS_ROUTEDESTROY_OUTOFACI_ERR             0x000E
#define ZKS_ROUTEDESTROY_OUTOFFAKEADDR_ERR        0x000F
#define ZKS_ROUTEDESTROY_REFUSECONN_ERR           0x0010

#endif
