#define REV_ID "@(#) $Id: cNetinfoProvider_stub.cpp,v 1.2 2001/04/18 17:37:36 alainc Exp $"
#include <zkrev.h>
#include "cNetInfoProvider.h"
#include "cNetInfoEntity.h"

cNetInfoEntity::entListType tmpList;

const cNetInfoEntity cNetInfoEntity::NullEntity;
cNetInfoEntity tmp;

cNetInfoProvider::cNetInfoProvider() 
{
   FrEntIdExp entity;
   ZKPRNetAddr addr;
   uint16_t    dhport;
  
    int n = 5;
      for (int j = 0; j < n; j++)
      {
         memset(entity.name, 0, sizeof( entity.name));

         sprintf(entity.name,"foo%d\0",j); 
         entity.type = FRENT_TYPE_AIP;

         cNetInfoEntity* pe = new cNetInfoEntity( entity, addr, dhport);
         tmpList.push_back( *pe);
      }
      
}

cNetInfoProvider::~cNetInfoProvider() {}
bool cNetInfoProvider::validateConfig() { return true; }
bool cNetInfoProvider::initializePrivateData(czkCoreLoop*) { return true; }
void cNetInfoProvider::cleanupPrivateData() {}
void cNetInfoProvider::startup() { signalReady(); }
void cNetInfoProvider::shutdown() {}
void cNetInfoProvider::refresh() {}
bool cNetInfoProvider::connectNids(unsigned int) { return true; }
void cNetInfoProvider::prodNid(cNetInfoData*) {}
const cNetInfoEntity &cNetInfoProvider::getEntity(FrEntIdType, const char*)
{ return tmp;}
const cNetInfoEntity &cNetInfoProvider::getEntity(FrEntIdType, uint32_t)
{return tmp;}
cNetInfoEntity::entListType *cNetInfoProvider::getEntities(FrEntIdType, bool)
{ return &tmpList;}
cNetInfoEntity cNetInfoProvider::getNextKQS() {return tmp;}
cNetInfoEntity cNetInfoProvider::getNextNISS() {return tmp;}
cNetInfoEntity::entListType *cNetInfoProvider::getAIPs() { return &tmpList; }

cNetInfoEntity::cNetInfoEntity() {}
cNetInfoEntity::~cNetInfoEntity() {}
cNetInfoEntity::cNetInfoEntity(const FrNetInfoDatum) {}

cNetInfoEntity::cNetInfoEntity(const cNetInfoEntity& e)
 {
    idExp = e.idExp;
    netAddr = e.netAddr;
    dhPort = e.dhPort;
 };

cNetInfoEntity&  cNetInfoEntity::operator=(const cNetInfoEntity& e)
{
  if (this != &e) {
    idExp = e.idExp;
    netAddr = e.netAddr;
    dhPort = e.dhPort;
   }
  return *this;
};
