#ifndef _cStatsPackagerKeyHandler

#define _cStatsPackagerKeyHandler

#include "aip-modules.h"

#include "frEnt.h"
#include "frSec.h"
#include "frstats.h"
#include "frKeyQry.h"
#include "frCrypt.h"

#include "cStatsPackagerErr.h"
#include "cKeyProviderEventHandler.h"
#include "cKeyProviderCacheEntryData.h"
#include "cStatsPackagerKeyHandlerSigData.h"
#include "cStatsPackagerKeyHandlerCryptData.h"
#include "StatsData.h"

//
// class to process reception of keys from KeyProvider
//
class cStatsPackagerKeyHandler: public cKeyProviderEventHandler {

private:

   class cStatsPackager* pStatsPackager;

public:

    void init( class cStatsPackager* sp);

    void handleEvent(cKeyProviderCacheEntryData entryData);
};


#endif
