#ifndef _cDHNegRespond

#define _cDHNegRespond


#include "cCommandParser.h"

class cDHNegRespond {

 public:

  FrEntIdExp entity;
  uint32_t   delay;
  uint32_t   maxWait;
  DHNegAction   action;
  bool       repeat;
  class cDHNego* pDHNego;
  string     message;

  cDHNegRespond( QualifierList qualifiers)
  {

    QualifierList::iterator i = qualifiers.begin();
    while (i != qualifiers.end())
    {
      StringList vals = i->getVals();

      StringList::iterator j = vals.begin();
      string val = *j;

      if (i->getQualifier() == qualifierEntityName) {
        memset( entity.name, 0, sizeof(entity.name));
        strcpy( entity.name, val.c_str());
        entity.type = FRENT_TYPE_AIP;
      }
      else if (i->getQualifier() == qualifierDelay) {
        delay = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierMaxWait) {
        maxWait = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierAction) {
        if (val == valPASS) {
          action = Pass;
	}
        else if (val == valFAIL) {
          action = Fail;
	}
        else if (val == valTIMEOUT) {
          action = Timeout;
	}
      }
      else if (i->getQualifier() == qualifierRepeat) {
        repeat = (val == valTRUE);
      }
      else if (i->getQualifier() == qualifierMessage) {
        message = val;
      }
      i++;
    }
    //    cout << "cDHNegRespond entity name " << entity.name << endl;
    //cout << "delay " << delay << endl;
    //cout << "maxWait " << maxWait << endl;
    //cout << "action " << action << endl;
    //cout << "repeat" << repeat << endl;
  }
};

#endif
  
