#ifndef _cRouteDestroy

#define _cRouteDestroy


#include "cCommandParser.h"

class cRouteDestroy {

 public:

  uint32_t id;
  bool     nextAci;
  FrEntIdExp entity;
  uint32_t errorCode;
  uint32_t version;
  string   message;
  bool     bad;
  class cPktMon* pPktMon;
  
  cRouteDestroy( QualifierList qualifiers)
  {

    bad = false;

    QualifierList::iterator i = qualifiers.begin();
    while (i != qualifiers.end())
    {
      StringList vals = i->getVals();

      StringList::iterator j = vals.begin();
      string val = *j;

      if (i->getQualifier() == qualifierID) {
        id = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierNextAci) {
        nextAci = (val == valGOOD);
      }
      else if (i->getQualifier() == qualifierEntityName) {
        memset( entity.name, 0, sizeof(entity.name));
        strcpy( entity.name, val.c_str());
        entity.type = FRENT_TYPE_AIP;
      }
      else if (i->getQualifier() == qualifierErrorCode) {
        errorCode = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierVersion) {
        version = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierMessage) {
        message = val;
      }
      else if (i->getQualifier() == qualifierBad) {
        bad = (val == valTRUE);
      }
      i++;
    }
    //cout << "cRouteDestroy id " << id << endl;
    //cout << "nextAci " << nextAci << endl;
    //cout << "entity " << entity.name << endl;
    //cout << "errorCode " << errorCode << endl;
    //cout << "version " << version << endl;
  }
};

#endif
  
