#ifndef _cRouteMonitorInfo
#define _cRouteMonitorInfo

#include "aip-modules.h"
#include "frEnt.h"
#include "frPktFmt.h"

#include "cRouteCreate.h"
#include "cRouteCreatePkt.h"

class cRouteMonitorInfo
{    
    public:

    uint32_t            routeId;       

    uint8_t             pktVersion;

    bool                lastHop;
    uint32_t            iHop;
    uint32_t            nHops;
    FrAci               prevAci;
    uint32_t            prevLinkId;
    FrCryptMacKey       MacKey[3];
    uint32_t            nextLinkId;
    FrCryptSym          fwdSym[3];
    FrCryptSym          bwdSym[3];

    bool                gotAck;
    bool                gotDestroy;
    FrAci               exitAci;

    RouteAction         action;

    //copy constructor (disabled)
    cRouteMonitorInfo( const cRouteMonitorInfo&) { assert(0); };

    //assignment operator (disabled)
    cRouteMonitorInfo& operator=( const cRouteMonitorInfo&) { assert(0); };

    public:

    cRouteMonitorInfo() {};
    virtual ~cRouteMonitorInfo() {};

};


#endif
