#define REV_ID "@(#) $Id: global_stub.cpp,v 1.2 2001/04/18 17:38:02 alainc Exp $"
#include <zkrev.h>
#include <iostream>
#include "zksexception.h"
#include <zks.h>
#include "zkserr.h"
#include "zkError.h"
#include "zkIntTypes.h"
#include "zksmodule.h"
#include "zkslog.h"
#include "zkslogagent.h"
#include "frCrypt.h"
#include "frPktFmt.h"

#include "aip-modules.h"
#include "czkNetAddr.h"

#include "cPrivateKeys.h"

FrCryptPubKey   GcryptKey;
FrCryptSig      GnymSig;

ZKPRNetAddr myAipAddr;
FrEntIdExp  myAipEntity;

void setGcryptKey(FrCryptPubKey in) { GcryptKey = in; }
void setGnymSig(FrCryptSig in) { GnymSig = in; }

FrCryptPubKey* getGcryptKey() { return &GcryptKey; }
FrCryptSig*    getGnymSig() { return &GnymSig; }

void setMyAipAddr()
{
  czkNetAddr netaddr;

  memset(&myAipAddr, 0 , sizeof(myAipAddr));
  myAipAddr.inet.family = ZKPR_AF_INET;
  netaddr.initNetAddr( ZKPR_IpAddrLoopback, 5555, &myAipAddr);
}

ZKPRNetAddr getMyAipAddr()
{
  return myAipAddr;
}  

void setMyAipEntity(char* name)
{
  memset(&myAipEntity, 0, sizeof(myAipEntity));
  strcpy(myAipEntity.name,name);
  myAipEntity.type = FRENT_TYPE_AIP;
}

FrEntIdExp getMyAipEntity()
{
  return myAipEntity;
}

