/*
 * $Id: queue.h,v 1.1 2000/04/03 18:32:18 philippe Exp $
 */

#ifndef QUEUE_H_
#define QUEUE_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef struct Queue_T * Queue;

int qCreate ( Queue * q , size_t sz );
int qDestroy ( Queue * q );
int qDelElement ( Queue q , void * elm );
int qPop ( Queue q , void ** elm );
int qPush ( Queue q , void * elm );
int qIsEmpty ( Queue q );
int qIsFull ( Queue q );
int qDump ( Queue q );

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#endif /* ! QUEUE_H_ */

