/*
 * $id$
 */

#ifndef SM_H_
#define SM_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <zkMIME.h>

DLLExport int FMGSendTextMessageToInternetUser (
  ZkError ,          /* Return the error if any occured */
  FMGContext * ,     /* FMG application context */
  const char * ,     /* Email address of internet user */
  const char * ,     /* Subject of message */
  const char * );    /* Text of message */


DLLExport int FMGSendInternetMail (
  ZkError ,            /* Return the error if any occured */
  FMGContext * ,     /* FMG application context */
  const char * ,       /* The name of the senmail executable */
  const char * ,       /* The mail recipient */
  ZkEmail );           /* The email object to send back */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* SM_H_ */

