#ifndef FRLODESRV_H_
#define FRLODESRV_H_

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

DLLExport int frLodeSrvEventLoop (
  ZK_INOUT ZkError err ,        /* Returns the error if one occured */
  ZK_IN    FrLodeCtx c );       /* The server context for which to run 
                                 * the server event loop.
                                 */

DLLExport int frLodeSrvInitServer (
  ZK_INOUT ZkError err ,        /* Returns the error if one occured */
  ZK_IN    FrLodeCtx c );       /* Context from which to init a server */

DLLExport int frLodeSrvMakeDaemon (
  ZK_INOUT ZkError err ,        /* Returns the error if one occured */
  ZK_IN    FrLodeCtx c );       /* Context from which to spawn daemon */

DLLExport int frLodeSrvSetSignalHandlers (
  ZK_INOUT ZkError err ,        /* Returns the error if one occured */
  ZK_IN    FrLodeCtx c );       /* Server context for which to set handlers */


#ifdef __cplusplus 
}
#endif /* __cplusplus */

#endif /* ! FRLODESRV_H_ */
