#ifndef THRARG_H_
#define THRARG_H_

/*
 *  $Id: rd_thrarg.h,v 1.1 1998/12/03 18:38:35 bill Exp $
 */

#include "zkError.h"


/*
 *  This structure is the argument to the threads.
 */

struct thrArg {
  pthread_mutex_t *mutSSLeay; /* locks RAND_* routines */
  pthread_mutex_t *mutZkError; /* locks zk{Error,Log}* routines */

  pthread_cond_t *cndFatal; /* signals thread termination */
  pthread_mutex_t *mutFatal;
  int fatal;

  ZkError err;
  struct randsrv_config *cf;
};


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* THRARG_H_ */
