/* Zeroknowledge Systems Inc. - Freedom Simulation  */
class Event;

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#ifndef AIP_H
#define AIP_H
#include <string>
#include "entity.h"
#include "aipentity.h"
#include "stime.h"
#include "freedomevent.h"
#include "frsimevent.h"

class Aip : public AipEntity {
public:
  static const std::string EntityName;

public:    
  Aip():AipEntity() {}

  void execute(FreedomEvent * aFreedomEventP);

  inline const std::string & isA() const { return EntityName; }
};
#endif //AIP_H
