/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#include <algorithm>
#include "aipmetaentity.h"
#include "frsimexception.h"
#include "entitylist.h"
#include "event.h"
#include "property.h"
#include "aip.h"
#include "randomizer.h"
#include "scheduler.h"
#include "frsimevent.h"

AipMetaEntity::AipMetaEntity()
:MetaEntity()
{
  MetaEntity::entity_subscribe(Aip::EntityName);
}
  


const EntityList & AipMetaEntity::aipList()
{
  return entity_list(Aip::EntityName); 
}



Entity * AipMetaEntity::entity_new(const std::string aEntityName)
{
  if( aEntityName == Aip::EntityName ) {
    return new Aip();
  }
  return NULL;
}
