/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#include <string>
#include "event.h"
#include "frsimeventgeneric.h"


const std::string FrsimEventGeneric::EventName = std::string("FRSIMEVENTGENERIC");


FrsimEventGeneric::FrsimEventGeneric(Type              type, 
                                     Time              launchTime, 
                                     Time              repeatDelta,
                                     const std::string entityName)
:FrsimEvent(type, launchTime, repeatDelta)
,m_entityName(entityName) 
{
}
