/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif


#ifndef INITINFOTAG_H
#define INITINFOTAG_H

#define DECL_CONST_STR(x)     static const std::string x=#x "_TAG"

DECL_CONST_STR(ENTITY_COUNT_INITIAL);           // Initial number of entity created
DECL_CONST_STR(ENTITY_BIRTH_RATE);              // New entity creation frequency
DECL_CONST_STR(ENTITY_BIRTH_RATE_INCREASE);     // Increasing ratio of new entities per birth period
DECL_CONST_STR(ENTITY_LIFETIME);                // LifeTime range for this entity 
DECL_CONST_STR(ENTITY_AUTO_RESTART);            // Specified if the entity has the autorestart property
DECL_CONST_STR(ENTITY_AUTO_RESTART_DELAY);      // Delay before an auto-restart

DECL_CONST_STR(AIP_AVERAGE_NEIGHBUR);           // Average number of neighbur for an Aip

#endif //INITINFOTAG_H
