/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#include "mailmetaentity.h"
#include "event.h"
#include "maip.h"
#include "fmg_maip.h"


MailMetaEntity::MailMetaEntity()
:MetaEntity()
{
  MetaEntity::entity_subscribe(Maip::EntityName);
  MetaEntity::entity_subscribe(Fmg_Maip::EntityName);
}


Entity * MailMetaEntity::entity_new(const std::string aEntityName)
{
  if( aEntityName == Maip::EntityName ) {
    return new Maip();

  } else if( aEntityName == Fmg_Maip::EntityName ) {
    return new Fmg_Maip();
  }  
  return NULL;
}
