/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#include <string>
#include "networkmetaentity.h"
#include "event.h"
#include "frsimexception.h"


NetworkMetaEntity::NetworkMetaEntity()
:MetaEntity()
{
  MetaEntity::entity_subscribe(Ppp::EntityName);
  MetaEntity::entity_subscribe(Ethernet::EntityName);
}


Entity * NetworkMetaEntity::entity_new(const std::string aEntityName)
{
  if( aEntityName == Ppp::EntityName ) {
    return new Ppp();

  } else if( aEntityName == Ethernet::EntityName ) {
    return new Ethernet();
  }  
  return NULL;
}
