/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif


#ifndef NETWORKMETAENTITY_H
#define NETWORKMETAENTITY_H
#include "metaentity.h"
#include "entitylist.h"
#include "ethernet.h"
#include "ppp.h"

class NetworkMetaEntity : public MetaEntity {
public:
    NetworkMetaEntity();

    EntityList & pppList()      { return entity_list(Ppp::EntityName); }
    EntityList & ethernetList() { return entity_list(Ethernet::EntityName); }

    Entity * entity_new(const std::string aEntityName);
};

#endif   //NETWORKMETAENTITY_H
