/* $Id: laipAnon.h,v 1.5 1999/05/21 20:05:17 kent Exp $ */
#ifndef LAIPANON_H_
#define LAIPANON_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern int laipAnonOpenPort(ZkError, unsigned short, int *, int *);

  extern int laipAnonOpenShim(ZkError, ZkShim *, const char *, int *);

  extern int laipAnonHandleUdpPkt(ZkError, LaipCtx *);

  extern int laipAnonShimAddRule(ZkError, ZkShim, unsigned short,
                                 unsigned long);

  extern int laipAnonShimAddRule2(ZkError err,
                                  ZkShim shim,
                                  struct sockaddr_in addr,
                                  unsigned long myIp);

  extern int laipAnonShimDelRule2(ZkError err, 
                                  ZkShim shim, 
                                  struct sockaddr_in addr, 
                                  unsigned long myIp);

  extern int laipAnonShimDelRule(ZkError, ZkShim, unsigned short, 
                                 unsigned long);

  extern int laipAnonHandleShimPkt(ZkError, LaipCtx *);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* LAIPANON_H_ */
