/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_MISC_H_
#define FR_MISC_H_

/*
 *
 *
 *                         Misc. internal routines.
 *
 *
 */
  
#include "zks.h"

#include "zkSysTypes.h"
#include "zkError.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  FRCRYPT_API extern int fr_CryptCheckPad(void *data, size_t dsz);
  FRCRYPT_API extern void fr_CryptSetPad(void *data, size_t dsz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_MISC_H_ */
