#!/bin/sh
#
# $Id: frshmackeyfns.sh,v 1.2 2000/11/23 15:13:02 marcp Exp $
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

#
# Common variables and functions used by frcpyshmackey and
# frgenshmackey.
#

# Program name.
prog=`basename $0`

# Name of the Freedom user.
fruser=freedom

# MAC key file path.
mkfile=./nymsrv-mail-mac-key

# UID of the user who should be running the scripts.
uid=0

error () {
  echo "${prog}: $*"
  echo "${prog}: exiting."
  exit 1
}

warning () {
  echo "${prog}: warning: $*"
}
