// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include <string>
#include <iostream>

using namespace std;

// this is the opposite program to "extract-bounce": it extracts the portion of
// a nym-encrypted email which is _not_ the pre-encrypted bounce message at the
// end of the mail. 

int main() {
  string str, sep("\r\n\r\n");
  char c;
  while (cin.get(c)) {str += c;}
  string::size_type pos = str.rfind(sep);
  if (pos == string::npos) {
    cout << str;
  } else {
    pos += sep.size();
    string prebounce(str.substr(0,pos-1));
    cout << prebounce;
  }
}
