# $Id: normalize-mail.t,v 1.2 2000/10/04 12:55:38 marcp Exp $

print "1..3\n";

# identity test

my($input) = `echo hello`;
my($output) = `echo hello | normalize-mail`;

if ($input eq $output) {
    print "ok 1\n";
} else {
    print "not ok 1\n";
}

# Set environment variable for imep-encrypt
$ENV{'SENDER'} = 1;

# ensure all lines < 70 characters long

my($normalized_mail) = "";

$normalized_mail = `echo hello | imep-encrypt -t | normalize-mail`;
my(@lines) = ();
@lines = split(/\r\n/, $normalized_mail);
my($line) = "";

my($line_lengths_ok) = 1;

foreach $line (@lines) {
    if (length($line) > 70) {
	$line_lengths_ok = 0;
	last;
    }
}

if ($line_lengths_ok) {
    print "ok 2\n";
} else {
    print "not ok 2\n";
}

#idempotence

my($first) = "";
my($second) = "";
my($temporary_file) = "";

$temporary_file = `mktemp /tmp/XXXXXX`;
chomp($temporary_file);

system("echo hello | imep-encrypt -t | normalize-mail >> $temporary_file");

$first = `cat $temporary_file`;
$second = `normalize-mail < $temporary_file`;

unlink($temporary_file);

if ($first eq $second) {
    print "ok 3\n";
} else {
    print "not ok 3\n";
}
