/*
 * frNdbCvt.h
 * $Id: frNdbCvt.h,v 1.3 2001/04/19 20:28:37 alainc Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * Luc Boulianne <luc@zks.net>

 * 
 */

#ifndef FRNDBCVT_H_
#define FRNDBCVT_H_
#include <zkMemPool.h>
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


  extern int cvtTTL(const char *, void *, ZkMemPool);
  extern int cvtUrgency(const char *, void *, ZkMemPool);
  extern int cvtZkTime(const char *, void *, ZkMemPool);
  extern int cvtPort(const char *, void *, ZkMemPool);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRNDBCVT_H_ */
