#ifndef NETINFO_DATA_H_
#define NETINFO_DATA_H_

/* $Id: netinfo_data.h,v 1.4 2000/11/23 15:13:10 marcp Exp $ */
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#include "niobj.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  DLLExport extern
  int frNetInfoDatumGetCull(ZkError err, 
                             FrNetInfoDatum data,
                             int *cull);

  DLLExport extern
  int frNetInfoDatumSetCull(ZkError err, 
                             FrNetInfoDatum data,
                             int cull);

  DLLExport extern
  int frNetInfoDatumGetValid(ZkError err, 
                             FrNetInfoDatum data,
                             int *valid);

  DLLExport extern
  int frNetInfoDatumSetValid(ZkError err, 
                             FrNetInfoDatum data,
                             int valid);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* NETINFO_DATA_H_ */
