/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ACI_H_
#define ACI_H_

#include "pkt.h"


/** Internally, we know that the ACI is 16 bits. */
typedef uint16_t FrAci_ento;

#define ACI_SIZE   2

#define ACI_FROM_NBO(var, buf) INT16_FROM_NBO(var, (buf) + ACI_OFFSET)
#define NBO_FROM_ACI(buf, var) NBO_FROM_INT16((buf) + ACI_OFFSET, var)


#endif /* ACI_H_ */
