#include <stdio.h>
#include <stdlib.h>
#include "zkNetMgmt.h"

/*
typedef struct T_zkNetMgmtObj *ZkNetMgmtObj;
DLLExport int
zkNetMgmtNew(ZksErr err, ZkNetMgmtObj *obj);
DLLExport int
zkNetMgmtFree(ZksErr err, ZkNetMgmtObj obj);
DLLExport int
zkNetMgmtAddExportInfoStr(ZksErr err, ZkNetMgmtObj obj, char *keyStr, char *infoStr);
DLLExport int
zkNetMgmtAddExportInfoDouble(ZksErr err, ZkNetMgmtObj obj, char *keyStr, double infoDouble);
DLLExport int
zkNetMgmtAddExportInfoInt(ZksErr err, ZkNetMgmtObj obj, char *keyStr, int infoInt);
DLLExport int
zkNetMgmtExport(ZksErr err, ZkNetMgmtObj obj);
DLLExport int
zkNetMgmtNotify(ZksErr err, ZkNetMgmtObj obj,  char *notifyStr);
*/


int main( void ) {

  ZkNetMgmtObj obj;
  ZksErr err;
  char* key1 = "key1";
  char* value1 = "value1";
  char* key2 = "key2";
  char* value2 = "value2";

  if (!zkNetMgmtNew(err,&obj))
	fprintf(stderr,"failed to create object\n");
  if (!zkNetMgmtAddExportInfoStr(err,obj,key1,value1))
	fprintf(stderr,"failed to enter value1\n");
  if (!zkNetMgmtAddExportInfoStr(err,obj,key2,value2))
	fprintf(stderr,"failed to enter value2\n");
  if (!zkNetMgmtExport(err,obj))
	fprintf(stderr,"failed to export information\n");
  if (!zkNetMgmtFree(err,obj))
	fprintf(stderr,"failed to clean up object\n");

}
