#ifndef LIB_ZKTKSRV_H
# define LIB_ZKTKSRV_H

/*
** Module name 
*/
# define ZKS_LIB_ZKTKSRV_MOD                                "ZkTkSrv_LIB"


/*
** Errors definition 
*/
# define ZKS_LIB_ZKTKSRV_BUFFSZ_ERR                               0x0001
# define ZKS_LIB_ZKTKSRV_EBADF_ERR                                0x0002
# define ZKS_LIB_ZKTKSRV_EINTR_ERR                                0x0003
# define ZKS_LIB_ZKTKSRV_EINVAL_ERR                               0x0004
# define ZKS_LIB_ZKTKSRV_ETIMEDOUT_ERR                            0x0005
# define ZKS_LIB_ZKTKSRV_GETHOSTBYNAME_ERR                        0x0006
# define ZKS_LIB_ZKTKSRV_GETPROTOBYNAME_ERR                       0x0007
# define ZKS_LIB_ZKTKSRV_IPVERSION_ERR                            0x0008
# define ZKS_LIB_ZKTKSRV_READ_ERR                                 0x0009
# define ZKS_LIB_ZKTKSRV_SELECT_ERR                               0x000a
# define ZKS_LIB_ZKTKSRV_SOCKET_ERR                               0x000b
# define ZKS_LIB_ZKTKSRV_WRITE_ERR                                0x000c
# define ZKS_LIB_ZKTKSRV_CALLOC_ERR                               0x000d


/*
** Include  affiliate header files
*/
# include "zktkapi.h"
# include "zktkpacket.h"
# include "zktkprotocol.h"
# include "zktknbo.h"
# include "zktkconst.h"

#endif /* LIB_ZKTKSRV_H */
