#ifndef LIB_ZKTKSRV_SOCKET_H
# define LIB_ZKTKSRV_SOCKET_H

# ifdef WIN32
#  pragma warning(disable: 4786)
# endif

# ifdef __cplusplus  

#  include "zks.h" 
#  include "zkIntTypes.h"

#  include <sys/time.h>
#  include <sys/types.h>
#  include <unistd.h>


// 
// Socket IO
//
namespace Socket {
  uint32_t write(int fd, const char * buff, uint32_t bsz, const struct timeval * timeoutP, bool all = true);
  uint32_t read(int fd,  char       * buff, uint32_t bsz, const struct timeval * timeoutP, bool all = true);
};


# endif /*__cplusplus */

#endif /* LIB_ZKTKSRV_SOCKET_H */
