#ifndef LIB_ZKTKSRV_SRVCTX_H
# define LIB_ZKTKSRV_SRVCTX_H

# ifdef WIN32
#  pragma warning(disable: 4786)
# endif

# include "zks.h" 
# include "zkTypes.h"
# include "zkIntTypes.h"

/*
  ** Constants
  */
# define TX_BUFFER_SZ      (64 * 1024) /* Size on the Send/Receive buffer (in bytes) */


/*
  ** Server connection context
  */

struct S_ZkTkSrvCtx {
  int     fd;      /* socket file descriptor us to reach the server */
  ZkBool  local;   /* true if the connection is local (AF_LOCAL: administration calls) */
  char    txbuff[TX_BUFFER_SZ+1];  /* Send/Receive buffer */
};


#endif /* LIB_ZKTKSRV_SRVCTX_H */

    
