/*
 * $Id: nidbtoolCmdCache.h,v 1.3 2000/11/24 15:03:09 marcp Exp $
 */

#ifndef CMDCACHE_H_
#define CMDCACHE_H_ 

#include <zks.h>

#define CMD_CACHE_USAGE \
"cache [get] | [set value]"

#define CMD_CACHE_DESCR \
"Used to get/set cache data version"

#define CMD_CACHE_HELP \
"this command queries or set the current value of the CacheDataVersion\n" \
"store in NIDB\n" 

#define CDV_MAX_VALUE 2147483647 /* limited by strtol */

#include "fr_nidb.h"



/**
 * Public functions
 */
DLLExport int cmdCache (
  ZkError err ,
  ZkShell shell ,
  char ** token ,
  size_t tokens ,
  void * userdata );

DLLExport int cmdCacheIncrement (
  ZkError err ,
  ZkShell shell,
  NidbToolContext *pContext );

#endif
