#!/bin/bash
# ----------------------------------------------------------------------------
#
# $Id: deliver-news.sh,v 1.2 2000/10/04 12:56:36 marcp Exp $
#
# This script handles the delivery of internet news.  It is intended to be
# called or sourced from the delivery rules for the mail2news pseudo-user
# on the mail system relays
#
# ----------------------------------------------------------------------------

QMAIL_ROOT=/freedom/qmail
QMAIL_CONTROL=$QMAIL_ROOT/control

NNTP_HOST=$(cat $QMAIL_CONTROL/nntp.host)
NNTP_PORT=$(cat $QMAIL_CONTROL/nntp.port)

MESSAGE=$(reformail -c | post_news.pl --host $NNTP_HOST --port $NNTP_PORT 2>&1)

EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 -o -n "$MESSAGE" ]
then
    	echo "$MESSAGE"
	exit $EXIT_CODE
fi

exit 99
