#! /bin/bash
# ----------------------------------------------------------------------------
#
# $Id: mailacct.sh,v 1.5 2001/04/19 19:21:21 alainc Exp $
#
# This short script sanitizes (makes a non-shell-command out of) the name
# of the recipient nym and sets the ACCT variable to the path to the target
# nym's mail files.
#
# this script should be run using the "source" command.
# ----------------------------------------------------------------------------

LOCAL=`sanitize LOCAL`
SENDER_LOCAL=`sanitize SENDER`
ACCT=$(frname2account $(cat /freedom/qmail/control/mailroot) $LOCAL)
SENDER_ACCT=$(frname2account $(cat /freedom/qmail/control/mailroot) $SENDER_LOCAL)
