/*
 * Copyright (C) 2000 Prodigy Solutions, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include <time.h>
#include <stdio.h>
#include <strings.h>

int main(int argc, char **argv)
{
    int c;
	int local = 0;
	int remote = 0;
	int success = 0;
	int failure = 0;
	int bytes = 0;
	unsigned long logseconds;
	unsigned long seconds;
    unsigned long nanoseconds;
	char buff[4072];
	char buff2[4072];
	char tmp[4072];
	char *tmp1;
	char *tmp2;
	char *tmp3;
	char *tmp4;
	char *pbuff = buff;
	time_t current_time = 0;
	current_time = time(NULL);
	if (argc < 1) {
		argv[1] = "-v";
	}
	while ((c = getchar()) != EOF) {
        if (c == '@') {
		    int c;
   			unsigned long u;
			while ((c = getchar()) != EOF) {
		        u = c - '0';
		        if (u >= 10) {
		            u = c - 'a';
		            if (u >= 6) break;
		            u += 10;
		        }
		        seconds <<= 4;
		        seconds += nanoseconds >> 28;
		        nanoseconds &= 0xfffffff;
		        nanoseconds <<= 4;
		        nanoseconds += u;
		    }
		    seconds -= 4611686018427387914ULL;
			if (seconds <= current_time && seconds >= (current_time-300)) {
			c = getchar();
			while (c != EOF) {
				if (c == '\n') break;
				sprintf(buff,"%s%c",buff,c);
				c = getchar();
	       		}
			if((strstr(buff,"status:")) && (strstr(buff,"remote"))){
				tmp3 = strstr(buff," remote ");
				tmp4 = strstr(tmp3+8,"/");
				tmp3[strlen(tmp3)-(strlen(tmp4)-1)] = 0;
				if (atoi(tmp3+8) > remote) {
					remote = atoi(tmp3+8);
				} 

			}
			if(!strncmp(argv[1],"-v")) {
				printf("%lu.%lu ",seconds, nanoseconds);
				printf("%s\n",buff);
			}
			if(strstr(buff,"success:")) success++;
			if(strstr(buff,"failure:")) failure++;
			if(strstr(buff,": bytes ")) {
				tmp1 = strstr(buff,": bytes");
				tmp2 = strstr(tmp1+8," ");
				tmp1[strlen(tmp1)-strlen(tmp2)] = 0;
				bytes=bytes+atoi(tmp1+8);
			}
			if((strstr(buff,"status:")) && (strstr(buff," local "))){
				tmp1 = strstr(buff," local ");
				tmp2 = strstr(tmp1+7,"/");
				tmp1[strlen(tmp1)-(strlen(tmp2)-1)] = 0;
				if (atoi(tmp1+7) > local) {
					local = atoi(tmp1+7);
				} 
			}
			sprintf(buff,"");
			} else {
				while (c != EOF) {
					if (c == '\n') break;
					c = getchar();
				}
			}
		}
    }
	if(!strncmp(argv[1],"-1")) {
		printf("%i\n",success);
		printf("%i\n",failure);
		printf("\n");
		printf("\n");
	}
	if(!strncmp(argv[1],"-2")) {
		printf("%i\n",bytes/1024);
		printf("%i\n",bytes/1024);
	}
	if(!strncmp(argv[1],"-3")) {
		printf("%i\n",local);
		printf("%i\n",remote);
		printf("\n");
		printf("\n");				
	}
	if(!strncmp(argv[1],"-4")) {
		printf("%i\n",success);
		printf("%i\n",failure+success);
		printf("\n");
		printf("\n");				
	}

}

