package UserConfig;

# $Id: UserConfig.pm,v 1.3 2000/11/24 14:57:45 marcp Exp $

# User parameters for gamma network
$user_param = {
    Total_Test_Nyms => 10,    # total number of test nyms
};

# valid test users for this network
$test_users = [
	       {
		   Name => "phil08",
		   Type => "0",
		   User => "phil08",
		   Password => 'L(Ji-6@]',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       {
		   Name => "phil09",
		   Type => "0",
		   User => "phil09",
		   Password => 'l;SvFh1L',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       {
		   Name => "phil10",
		   Type => "0",
		   User => "phil10",
		   Password => 'SqBYACP<',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       {
		   Name => "phil11",
		   Type => "0",
		   User => "phil11",
		   Password => 'F1j@tU[a',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       ];

# bogus test users for this network
$bogus_users = [
		{
		    Name => "qwerty",
		    Type => "0",
		    User => "qwerty",
		    Password => "password",
		    Mail_Size_Limit => 0,
		    Mail_Send_Limit => 0,
		    Mail_Volume_Limit => 0,
		},
		];

# valid test NYMs for this network

$test_nyms = [

              {
                  Name => 'phil_test_0',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzA=',
                  Password => 'AQEGcGhpbF90ZXN0XzAAAQAAAAA7vzu1AQAAAPoAoAAAAAAwAAAAABlW+DorzxFXeruE',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_1',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzE=',
                  Password => 'AQEGcGhpbF90ZXN0XzEAAQAAAAA7vzu2AQAAAPoAoAAAAAAwAAAAABn0DLZqi8LLADGb',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_2',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzI=',
                  Password => 'AQEGcGhpbF90ZXN0XzIAAQAAAAA7vzu3AQAAAPoAoAAAAAAwAAAAABmLD7/dvIbTZyci',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_3',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzM=',
                  Password => 'AQEGcGhpbF90ZXN0XzMAAQAAAAA7vzu4AQAAAPoAoAAAAAAwAAAAABkN9SiY2quvPvuY',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_4',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzQ=',
                  Password => 'AQEGcGhpbF90ZXN0XzQAAQAAAAA7vzu5AQAAAPoAoAAAAAAwAAAAABmvyBtMNXsjc87N',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_5',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzU=',
                  Password => 'AQEGcGhpbF90ZXN0XzUAAQAAAAA7vzu6AQAAAPoAoAAAAAAwAAAAABlUX588VoYfnnc2',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_6',
                  Type => '',
                  User => 'cGhpbF90ZXN0XzY=',
                  Password => 'AQEGcGhpbF90ZXN0XzYAAQAAAAA7vzu7AQAAAPoAoAAAAAAwAAAAABkJtE0VP2ohr+V1',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_7',
                  Type => '',
                  User => 'cGhpbF90ZXN0Xzc=',
                  Password => 'AQEGcGhpbF90ZXN0XzcAAQAAAAA7vzu8AQAAAPoAoAAAAAAwAAAAABkwEKrpGA4xF6gU',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_8',
                  Type => '',
                  User => 'cGhpbF90ZXN0Xzg=',
                  Password => 'AQEGcGhpbF90ZXN0XzgAAQAAAAA7vzu9AQAAAPoAoAAAAAAwAAAAABnkKHLnjW5nXfP9',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'phil_test_9',
                  Type => '',
                  User => 'cGhpbF90ZXN0Xzk=',
                  Password => 'AQEGcGhpbF90ZXN0XzkAAQAAAAA7vzu+AQAAAPoAoAAAAAAwAAAAABnWUdm0Hkm9k0zF',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

	       ];

# bogus test NYMs for this network
$bogus_nyms = [

	       {
		   Name => 'nonexistent0',
		   Type => "0",
		   User => 'bm9uZXhpc3RlbnQw',
		   Password => 'BOGUSPASSWORD',
		   Mail_Size_Limit => 2048,
		   Mail_Send_Limit => 10,
		   Mail_Volume_Limit => 2048,
	       },

	       {
		   Name => 'nonexistent1',
		   Type => "0",
		   User => 'bm9uZXhpc3RlbnQx',
		   Password => 'BOGUSPASSWORD',
		   Mail_Size_Limit => 2048,
		   Mail_Send_Limit => 10,
		   Mail_Volume_Limit => 2048,
	       },

	       ];


