use strict;

sub fr_getDateString
  {
    ## Get current time in YYYYMMDDhhmmss format
    ## Assume /bin/date -Ru provides something like "Tue, 25 Jul 2000 22:46:29 GMT"

    my %monthMapHash = (Jan => "01",
			Feb => "02",
			Mar => "03",
			Apr => "04",
			May => "05",
			Jun => "06",
			Jul => "07",
			Aug => "08",
			Sep => "09",
			Oct => "10",
			Nov => "11",
			Dec => "12");

    my $tempDateString = `/bin/date -Ru;`;

    my @tempDateArray = split " ", $tempDateString;
    my @tempTimeArray = split ":", $tempDateArray[4];

    ## add leading zero if needed to DD, hh
    $tempDateArray[1] =~ s/^(\d)$/0$1/;
    $tempTimeArray[0] =~ s/^(\d)$/0$1/;
    
    my $dateString = 
      "$tempDateArray[3]".
	"$monthMapHash{$tempDateArray[2]}".
	  "$tempDateArray[1]".
	    "$tempTimeArray[0]".
	      "$tempTimeArray[1]".
		"$tempTimeArray[2]";

    return $dateString;

  }


1;
