divert(-1)
#
# Zero Knowledge Systems Inc. 
#
# Master Config file for the Freedom Mail Gateway
# $Id: fmg-beta.mc,v 1.1 2000/04/27 12:08:28 luc Exp $
#
# Luc Boulianne <luc@zks.net>
# March 15th, 1999
#

divert(0)dnl
VERSIONID(`@(#)Zero Knowledge Freedom Mail Gateway v2.0')
dnl
dnl  Set your Operating system type below
dnl
OSTYPE(linux)dnl

#
# Macro defining our domain
D{FreedomDomain}freedom.net

# Users that should not be sent into the FMG
# Nor should they be masqueraded.
FL/etc/sendmail.cL
     
define(`confDOMAIN_NAME', `$w.$m')dnl
define(`confCW_FILE', `/etc/sendmail.cw')dnl

MAILER(local)dnl
MAILER(smtp)dnl

MASQUERADE_AS(${FreedomDomain})dnl
FEATURE(masquerade_envelope)dnl
FEATURE(relay_entire_domain)dnl
FEATURE(use_cw_file)dnl
FEATURE(accept_unresolvable_domains)dnl
dnl FEATURE(domaintable)dnl

#### Experimental.
dnl FEATURE(stickyhost)dnl
dnl FEATURE(access_db, hash -o /etc/mail/access)dnl
dnl FEATURE(rbl)dnl

### More experimentation
dnl MAILER(freedom)dnl

LOCAL_RULE_0
#
# Special handing of mail to FMG users
#
Rmail2news @ ${FreedomDomain}			$#local $:mail2news
Rmail2news < @ ${FreedomDomain} >		$#local $:mail2news
#
# Local users $=L are not sent to the Freedom Domain
# These users are located in /etc/sendmail.cL (see FL above)
#
R$=L < @ beta . ${FreedomDomain} . >		$#local $: @ $1	#special local names
R$+ < @ beta . ${FreedomDomain} . >		$#local $:fmg
R$=L < @ ${FreedomDomain} . >			$#local $: @ $1	#special local names
R$+ < @ ${FreedomDomain} . >			$#local $:fmg

