divert(-1)
#
# Zero Knowledge Systems Inc. 
#
# Master Config file for the Freedom Mail Gateway
#
# Luc Boulianne <luc@zks.net>
#

divert(0)dnl
VERSIONID(`@(#)ZKS-FMG-BETA v1.1')

dnl
dnl  Set your Operating system type below
dnl
OSTYPE(linux)dnl

define(`confDOMAIN_NAME', `$w.$m')dnl
define(`confCW_FILE', `-o /etc/sendmail.cw')dnl

MASQUERADE_AS(freedom.net)dnl
FEATURE(masquerade_envelope)dnl
FEATURE(relay_entire_domain)dnl
FEATURE(use_cw_file)dnl

#### Experimental.
dnl FEATURE(stickyhost)dnl
dnl FEATURE(access_db, hash -o /etc/mail/access)dnl
dnl FEATURE(rbl)dnl

MAILER(local)dnl
MAILER(smtp)dnl

dnl HACK while I get the proper sendmail.cf fixed 
dnl LOCAL_RULE_0
dnl #
dnl # Special handing of mail to FMG users
dnl # Testing FMG redirection of mail - Kent
dnl #
dnl Rmail2news@freedom.net			$#local $:mail2news
dnl Rmail2news < @  freedom . net . >	$#local $:mail2news
dnl R$+@freedom.net				$#local $:fmg
dnl R$+<@freedom.net.>			$#local $:fmg
