#!/usr/bin/perl -w

#$Id: gen_default_keypairs.pl,v 1.1 2001/06/20 23:24:19 colm Exp $

# This will generate keypairs for all entities in network description
# It will create 10 additional 'spare' keys for aips, 5 for coreaips, and 2 for each core server (all based on standard naming conventions)

my $rootdir = "/usr/freedom";

my $num_aip_keys = 50;
for ($i = 1; $i<$num_aip_keys;$i++) {
  my $command = "keyset-gen/bin/frgenkeypair.exp aip host$i $rootdir";
  system $command;
}  
my $num_core_aip_keys = 10;
for ($i = 1; $i<=$num_core_aip_keys;$i++) {
  my $command;
  if ($i<10) {
    $command = "keyset-gen/bin/frgenkeypair.exp aip core-zks-0$i $rootdir";
  } else {
    $command = "keyset-gen/bin/frgenkeypair.exp aip core-zks-$i $rootdir";
  }
  system$command;
}  
my $num_core_keys = 3;
for ($i = 0; $i<$num_core_keys;$i++) {
  my $command;
  if ($i == 0) {
    $command = "keyset-gen/bin/frgenkeypair.exp nymsrv NymServer $rootdir";
  } else {
    $command = "keyset-gen/bin/frgenkeypair.exp nymsrv NymServer$i $rootdir";
  }
  system $command;
}  
for ($i = 0; $i<$num_core_keys;$i++) {
  my $command;
  if ($i == 0) {
    $command = "keyset-gen/bin/frgenkeypair.exp toksrv TokenServer $rootdir";
  } else {
    $command = "keyset-gen/bin/frgenkeypair.exp toksrv TokenServer$i $rootdir";
  }
  system $command;
}  
for ($i = 0; $i<$num_core_keys;$i++) {
  my $command;
  if ($i == 0) {
    $command = "keyset-gen/bin/frgenkeypair.exp keyqry KeyQryServer $rootdir";
  } else {
    $command = "keyset-gen/bin/frgenkeypair.exp nymsrv KeyQryServer$i $rootdir";
  }
  system $command;
}  
for ($i = 0; $i<$num_core_keys;$i++) {
  my $command;
  if ($i == 0) {
    $command = "keyset-gen/bin/frgenkeypair.exp niqs NIQSD $rootdir";
  } else {
    $command = "keyset-gen/bin/frgenkeypair.exp niqs NIQSD$i $rootdir";
  }
  system $command;
}  
for ($i = 0; $i<$num_core_keys;$i++) {
  my $command;
  if ($i == 0) {
    $command = "keyset-gen/bin/frgenkeypair.exp niss NISSD $rootdir";
  } else {
    $command = "keyset-gen/bin/frgenkeypair.exp niss NISSD$i $rootdir";
  }
  system $command;
}  

exit 0;
