#!/usr/bin/perl -w

#$Id: gen_keypairs.pm,v 1.1 2001/06/20 23:24:24 colm Exp $

# This will generate keypairs for all entities in network description
# It will create 10 additional 'spare' keys for aips, 5 for coreaips, and 2 for each core server (all based on standard naming conventions)

use lib './lib';
use lib './lib/Genesis';
use lib '../lib';
use lib '../lib/Genesis';
use lib '../../lib';
use lib '../../lib/Genesis';

use Misc;
use Logger;

my $entity = $context->get_entity();
my $host = $context->get_host();
my $entity_name = $host->get_parameters()->{$entity};
my $genesis = $context->get_genesis_configuration();
my $network = $context->get_host()->get_network();

$ENV{'PATH'} .= ':/usr/freedom/bin:/usr/freedom/sbin';
$ENV{'USER'} = 'freedom';
$ENV{'HOME'} = '/usr/freedom';
if (!Misc::become_user('freedom')) {
  Logger::fatal("Could not become user freedom");
}


my $command = "keyset-gen/bin/frgenkeypair.exp $entity $entity_name /usr/freedom";
print "$command";
system $command;

exit 0
