#!/usr/bin/perl
#require 5.002;

open(FIN, "AdBlocker.txt") || die "Could not open AdBlocker.txt";
open(FOUT, ">CleanedBlocker.txt") || die "Could not open CleanedBlocker.txt";

$nOrig = 0;
$nNew = 0;
while ($nextLine = <FIN>)
  {
    $nOrig++;
    $nextLine =~ s/(\s+)%2A/\1/;
    $nextLine =~ s/http\%3A\%2F\%2F//;

    if ($nextLine =~ m/^\d+\s+(\S+)/)
      {
        $descAndUrl = $1;
        if ($dict{$descAndUrl} ne "exists")
          {
            $dict{$descAndUrl} = "exists";
            print FOUT $nextLine;
            $nNew++;
          }
        else
          {
            print "Dup: $nextLine";
          }
      }
    else
      {
        print "ERROR: $nextLine";
      }
  }

print "Num Original file: $nOrig\n";
print "Num New file: $nNew\n";
print "Num Dups: " . ($nOrig - $nNew) . "\n";
















