#!/bin/sh 
# 
# cron job for scriptupdate / scriptserver
# scriptserver is a repository for the freedom client
# updates to the repositor are done on this box
# which is scriptupdate.<gamma.>.freedom.net
# then secure copied to scriptserver.<gamma.>freedom.net
#

PATH=${PATH}:/usr/local/bin
export PATH

#for testin echo ensures cron email 
#echo "running $0"
# if date file doesn't exist, create it & back"date" it
if [ ! -f /turf/scp-script.ran ]; then
  /bin/touch  --date='10 minutes ago' /turf/scp-script.ran
fi

# if adblocker changed since last run, (only this so no transfer
# of cgi etc
 if [ /turf/scriptupdate/AdBlocker.txt -nt /turf/scp-script.ran ] ; then
     /usr/local/bin/scp -B -p /turf/scriptupdate/AdBlocker.txt root@afs6:/usr/freedom/scriptserver/ 
 fi

# check for mods to script files, create a list of them
/usr/bin/find /turf/scriptupdate/scripts -type f -newer /turf/scp-script.ran > /tmp/scp-script.list

# copy whole dir if there are any updated files:
# -s true if size > 0
if [ -s /tmp/scp-script.list ] ; then
 cd /turf/scriptupdate
 /bin/tar -czf /tmp/scp-scripts.tgz scripts/*
 cd - 

 echo "copying tar file"
 /usr/local/bin/scp -B /tmp/scp-scripts.tgz root@afs6:/usr/freedom/scriptserver/
 echo "sshing"
 /usr/local/bin/ssh2 -n root@afs6 /usr/freedom/scriptserver/scp-update.pl 

 echo "rming local tar file "
 /bin/rm /tmp/scp-scripts.tgz
 echo "rming remote tar file "
# /usr/local/bin/scp -B /tmp/scp-scripts.tgz root@afs6:/usr/freedom/scriptserver/
# /bin/rm /tmp/scp-script.list
fi

# update timer file
/bin/touch  /turf/scp-script.ran
