#!/usr/bin/perl -w

#$Id: morpheus_exec.pm,v 1.2 2001/04/19 19:18:27 alainc Exp $

#This script will extract relevant network args from the morpheus context and pass them to an arbitratry script/executable (specified as an argument to this wrapper module). 

# e.g. ./morpheus_exec.pm create_nym.exp NETWORK 500 -> will pass the network name as the first argument to 'create_nym.exp' and will pass 500 as the second.
# Other morpheus context variables are available and will be added as becomes useful

use lib './lib';
use lib '../lib';
use lib '../../lib';
use lib 'network-sanity/bin';
use lib 'network-sanity/modules';

my $network_name = $context->get_host()->get_network()->get_name();

my @arglist;
foreach my $argument (@ARGV) {
  if ($argument eq "NETWORK") {
    push(@arglist,$network_name);
#    $command = ("$command"." "."$network_name");
  } else {
    push(@arglist,$argument);
#    $command = ("$command"." "."$argument");
  }
}

my $command = join (" ",@arglist);

  
my $rc = (Misc::system_to_log_file("$command"));
#my $rc = (system("$command"));
print "Return code is $rc\n";
exit ($rc/256);



