#!/usr/bin/perl -w

#$Id: ns-confgen.pm,v 1.2 2001/04/19 19:18:27 alainc Exp $

#This script will set up the necessary environment stuff for running the network-sanity testcase.  Namely:
# - generates config files and directory structure for running the laip and nymtool.
# - generates the necessary config parameters in ../inc/netconf.tcl


use lib './lib';
use lib '../lib';
use lib '../../lib';
use lib 'network-sanity/bin';
use lib 'network-sanity/modules';

my $network_name = $context->get_host()->get_network()->get_name();
my $network_domain = $context->get_host()->get_network()->get_domain();

my $rootdir = "/tmp";

  
# Remove all nyms and keys created by network sanity tests - leave others untouched - this has been moved to cleanup stage
#(Misc::system_to_log_file("rm -rf $rootdir/.freedom/$network_name/*sanity*.nym"));
#(Misc::system_to_log_file("rm -rf $rootdir/.freedom/$network_name/keys/*sanity*"));
(Misc::system_to_log_file("rm -f network-sanity/inc/ns-netconf.tcl"));

return (Misc::system_to_log_file("network-sanity/bin/ns-netgenconfig.sh $network_name $network_domain /tmp"));


