#!/bin/sh -f
# nyms-tc.sh
#$Id: nyms-tc.sh,v 1.1.1.1 2000/09/12 00:47:09 etienne Exp $

# nyms test suite.

tet_startup=""
tet_cleanup="cleanup"
iclist="ic1"
ic1="tp1"

tp1()
{
   tpstart "nyms test purpose"
   cd ${ZK_ROOT}/freedom/tools/server-bvt/bin
   core_BVT.sh ${NETWORK} ${NYMNAME} nyms
   grep -Ee "(FAILURE|ERROR)" ${ZK_ROOT}/freedom/tools/server-bvt/bin/nympop.log
   case $? in
    0 )
      tet_result FAIL ;;
    1 )
      tet_result PASS ;;
    2|* )
      tet_result UNRESOLVED ;;
   esac
}

cleanup ()
{
#    rm -f ${ZK_ROOT}/freedom/tools/server-bvt/bin/nympop.log
    rm -f ${ZK_ROOT}/freedom/tools/server-bvt/bin/nym_*.log
}

# source common shell functions
. $TET_EXECUTE/lib/shfuncs

# execute shell test case manager - MUST BE LAST LINE
. $TET_ROOT/lib/xpg3sh/tcm.sh
