#!/bin/sh -f
# routes-tc.sh
#$Id: routes-tc.sh,v 1.1.1.1 2000/09/12 00:47:09 etienne Exp $

# routes test suite.

tet_startup=""
tet_cleanup="cleanup"
iclist="ic1"
ic1="tp1"

tp1()
{
   tpstart "routes test purpose"

   core_BVT.sh ${NETWORK} ${NYMNAME} routes
   grep -Ee "(FAILED|ERROR)" /turf/etienne/work/zk/freedom/tools/server-bvt/bin/routes.dump
   case $? in
    0 )
      tet_result FAIL ;;
    1 )
      tet_result PASS ;;
    2|* )
      tet_result UNRESOLVED ;;
   esac
}

cleanup ()
{
#    rm -f ${ZK_ROOT}/freedom/tools/server-bvt/bin/routes.dump
    rm -f ${ZK_ROOT}/freedom/tools/server-bvt/bin/laip_*.log
}

# source common shell functions
. $TET_EXECUTE/lib/shfuncs

# execute shell test case manager - MUST BE LAST LINE
. $TET_ROOT/lib/xpg3sh/tcm.sh
