#ifndef IDENT_H_
#define IDENT_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int frIdentOpen (
  ZkError ,              /* Returns the error if any occured */
  char * identd ,
  int * sdptr ,
  int timeout );

int frIdentAdd (
  ZkError ,              /* Returns the error if any occured */
  int ,                  /* Identd server command socket descriptor */
  uint16_t ,             /* Source port number */
  uint16_t ,             /* Destination port number */
  uint32_t ,             /* The aci */ 
  char * );              /* Name of nym using that connection */

int frIdentDel (
  ZkError ,              /* Returns the error if any occured */
  int ,                  /* Identd server command socket descriptor */
  uint32_t );              /*   ACI to remove */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* IDENT_H_ */
