/**
 * worm_stats.h
 *
 * Statistics/status storing and NISS updating.
 * $Id: worm_stats.h,v 1.4 2000/06/01 14:11:59 jean Exp $
 */
#ifndef WORM_STATS_H_
#define WORM_STATS_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <zks.h>
#include <zkIntTypes.h>
#include <zkTypes.h>
#include <zkError.h>

#include "frStatPkt.h"
#include "frStatClient.h"
#include "frStatUpd.h"
#include "frEnt.h"
#include "worm.h"


  extern int WormStatUpdate(ZkError err, ZkWormhole * ur, ZkBool force);



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* WORM_STATS_H_ */
