#ifndef ZKFINGERD_H_
#define ZKFINGERD_H_

#define VERSION_STR "Zero-Knowledge Systems FINGER server, version 1.0 ("__DATE__", "__TIME__")"

typedef int (*ZkServerMain)( struct sockaddr_in , int , char ** , void *);

int zkFingerdMain (
  struct sockaddr_in ,             /* Remote client address */
  int ,                            /* Command line argc */
  char ** ,                        /* Command line argv */
  void * );                        /* Key server context structure pointer */


int RunAsStreamServer (
  ZkError ,                        /* Returns the error if one occured */
  ZkLog ,                          /* Main server log object */
  struct sockaddr_in * ,           /* Server address */
  uid_t ,                          /* UID under which to run the server */
  ZkServerMain ,                   /* Connection callback */
  int ,                            /* Command line argument count (argc) */
  char ** ,                        /* Command line argument array (argv) */
  void * ,                         /* Callback context structure */
  int );                           /* Maximum connection time in seconds */

#endif /* ZKFINGERD_H_ */
