
typedef struct ZkShimRuleEntry {
	struct ZkShimRuleEntry *zre_nextp;
	ZkShimRule	zre_rule;
	ZkShimUnit *zre_unitp;
} ZkShimRuleEntry;


int
zkShimAddRule(ZkShimUnit *zun, ZkShimRule *rule);
int
zkShimDelRule(ZkShimUnit *zun, ZkShimRule *rule);

/* this function should be called with the zkShimLock held */
boolean_t
zkShimMatchOutgoing(ZKMB_T *mp, iphdr_t *ip, uint16_t sport, uint16_t dport,
		void (*pdivertproc) (ZkShimUnit *, ZKMB_T *, int),
		int linkhdrlen);

