/*
 *  $Id$
 *  
 *  zkIntLimits.h
 */ 
#ifndef _ZKVERINFO_H
#define _ZKVERINFO_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

   typedef struct _zk_ver_info {
      const char *major;
      const char *minor;
      const char *patch;
      const char *buildnum;
      const char *hostname;
      const char *date;
   } ZkVerInfo;

   const ZkVerInfo *zkVerInfoGetStruct(void);
   const char      *zkVerInfoGetString(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKVERINFO_H */
