#ifndef __OP_H__
#define __OP_H__

#define OP_HEADROOM (256) 
#define MAX_PACKET_LEN (8192) /* tune me :) */
#define OP_ALLOC (OP_HEADROOM + MAX_PACKET_LEN) 

/*
 * see op.c
 */
struct our_packet {
    void *head, *tail;
    unsigned int len;

    void *_end;
    unsigned char _start[OP_ALLOC];
};

extern struct our_packet *op_create(void);
extern void op_free(struct our_packet *op);

extern void *op_pull_head(struct our_packet *op, unsigned int len);
extern void *op_push_head(struct our_packet *op, unsigned int len);
extern void *op_pull_tail(struct our_packet *op, unsigned int len);
extern void *op_push_tail(struct our_packet *op, unsigned int len);
extern void *op_reset(struct our_packet *op);

#endif /*__OP_H__*/
