#ifndef __SCHEME_H__
#define __SCHEME_H__

#include <glib.h>

#include "cf.h"
#include "op.h"
#include "munge.h"

enum {
    SCHEME_NONE = 0,
    SCHEME_DH   = 1
};

struct nschhdr {
    /* 
     * god damn 12 bit fields.  fuck that shit.
     * its 16bit for now, jerome, don't hate
     * us.
     */
    guint16     type;
    guint16     data_len;
    guint16     pair_len;
} __attribute__ ((packed));

struct scheme_instance {
    int cipher_id, digest_id;
    struct scheme_funcs *sf;
    unsigned int secret_len; 
    unsigned char secret[0];
};

struct scheme_funcs {
    void (*append)(struct scheme_funcs *sch, struct our_packet *op);
    struct scheme_instance * (*parse)(struct scheme_funcs *sch, 
            unsigned char *data, unsigned int len);
    void *scheme_data;
    guint16 __id;
};

int scheme_init(struct our_config *cf);
int scheme_pair_init(void);
int scheme_register(struct scheme_funcs *sch, guint16 id);
void scheme_append_one(struct scheme_funcs  *sf, struct our_packet *op);
void scheme_append_all(struct our_packet *op);
struct scheme_instance * scheme_inst_alloc(unsigned int secret_len);
void scheme_inst_free(struct scheme_instance *sinst);
struct scheme_instance * scheme_pick(unsigned char *data, guint16 len);

#endif
