// ===========================================================================
//	CYarrowToolRegistrar.cp	2000 Zero-Knowledge Systems, Inc. All rights reserved.
// ===========================================================================

// PowerPlant headers
///#include <LAMControlImp.h>
///#include <LAMPushButtonImp.h>
///#include <LAMStaticTextImp.h>
///#include <LPushButton.h>
///#include <LSeparatorLine.h>
///#include <LStaticText.h>
#include <LCaption.h>
#include <LDialogBox.h>
#include <LGroupBox.h>
#include <LIconPane.h>
#include <LStdControl.h>
#include <LWindow.h>
#include <URegistrar.h>

// project headers
#include "CYarrowToolApp.h"


// ---------------------------------------------------------------------------
//	 RegisterClasses								[protected]
// ---------------------------------------------------------------------------
//	To reduce clutter within the Application object's constructor, class
//	registrations appear here in this seperate function for ease of use.

void
CYarrowToolApp::RegisterClasses()
{
	RegisterClass_(LCaption);
	RegisterClass_(LDialogBox);
	RegisterClass_(LGroupBox);
	RegisterClass_(LIconPane);
	RegisterClass_(LStdButton);
	RegisterClass_(LWindow);
	
	// UControlRegistry::RegisterAMAbstractionClasses
//	RegisterClass_(LBevelButton);
//	RegisterClass_(LChasingArrows);
//	RegisterClass_(LCheckBox);
//	RegisterClass_(LCheckBoxGroupBox);
//	RegisterClass_(LClock);
//	RegisterClass_(LCmdBevelButton);
//	RegisterClass_(LDisclosureTriangle);
//	RegisterClass_(LEditText);
//	RegisterClass_(LIconControl);
//	RegisterClass_(LImageWell);
//	RegisterClass_(LLittleArrows);
//	RegisterClass_(LPictureControl);
//	RegisterClass_(LPlacard);
//	RegisterClass_(LPopupButton);
//	RegisterClass_(LPopupGroupBox);
//	RegisterClass_(LProgressBar);
//	RegisterClass_(LPushButton);
//	RegisterClass_(LRadioButton);
//	RegisterClass_(LScrollBar);
//	RegisterClass_(LSeparatorLine);
//	RegisterClass_(LSlider);
//	RegisterClass_(LStaticText);
//	RegisterClass_(LTabsControl);
//	RegisterClass_(LTextGroupBox);
//	RegisterClass_(LWindowHeader);
	
	// UControlRegistry::RegisterAMImpClasses
//	RegisterClassID_(LAMControlImp, LChasingArrows::imp_class_ID);
//	RegisterClassID_(LAMControlImp, LCheckBox::imp_class_ID);
//	RegisterClassID_(LAMControlImp, LDisclosureTriangle::imp_class_ID);
//	RegisterClassID_(LAMControlImp, LIconControl::imp_class_ID);
//	RegisterClassID_(LAMControlImp, LPictureControl::imp_class_ID);
//	RegisterClassID_(LAMControlImp, LRadioButton::imp_class_ID);
//	RegisterClassID_(LAMControlImp, LSeparatorLine::imp_class_ID);
//	
//	RegisterClassID_(LAMControlViewImp, LCheckBoxGroupBox::imp_class_ID);
//	RegisterClassID_(LAMControlViewImp, LTextGroupBox::imp_class_ID);		
//	
//	RegisterClassID_(LAMTrackActionImp, LLittleArrows::imp_class_ID);
//	RegisterClassID_(LAMTrackActionImp, LProgressBar::imp_class_ID);
//	RegisterClassID_(LAMTrackActionImp, LScrollBar::imp_class_ID);
//	RegisterClassID_(LAMTrackActionImp, LSlider::imp_class_ID);
//
//	RegisterClassID_(LAMBevelButtonImp,   LBevelButton::imp_class_ID);
//	RegisterClassID_(LAMClockImp,		  LClock::imp_class_ID);
//	RegisterClassID_(LAMEditTextImp,	  LEditText::imp_class_ID);
//	RegisterClassID_(LAMImageWellImp,	  LImageWell::imp_class_ID);
//	RegisterClassID_(LAMPlacardImp,		  LPlacard::imp_class_ID);
//	RegisterClassID_(LAMPopupButtonImp,	  LPopupButton::imp_class_ID);
//	RegisterClassID_(LAMPopupGroupBoxImp, LPopupGroupBox::imp_class_ID);
//	RegisterClassID_(LAMPushButtonImp,	  LPushButton::imp_class_ID);
//	RegisterClassID_(LAMStaticTextImp,	  LStaticText::imp_class_ID);
//	RegisterClassID_(LAMTabsControlImp,   LTabsControl::imp_class_ID);
//	RegisterClassID_(LAMWindowHeaderImp,  LWindowHeader::imp_class_ID);
	
	// UControlRegistry::RegisterOther
//	RegisterClass_(LRadioGroupView);
//	RegisterClass_(LMultiPanelView);
//	RegisterClass_(LScrollerView);
//	RegisterClass_(LWindowThemeAttachment);
//	
//	RegisterClass_(LGAColorSwatchControl);
//	RegisterClass_(LGADialog);
//	RegisterClass_(LGAFocusBorder);
}
