/* =============================================================================
 *	YarrowInstallClient.h					 (c)2000 Zero-Knowledge Systems Inc.
 * =============================================================================
 *	
 */

#ifndef YarrowInstallClient_H_
#define YarrowInstallClient_H_

#if defined(__MWERKS__)
#	pragma once
#endif

/* system headers */
#include <Files.h>

#pragma options align=power

#ifdef __cplusplus
	extern "C" {
#endif


/* Result codes for YarrowIsInstalled. */
enum {
	kYarrowCantInstall,
	kYarrowNotInstalled,
	kYarrowBadVersion,
	kYarrowOldVersion,
	kYarrowNewVersion,
	kYarrowInstalled
};

extern pascal OSStatus	YarrowLocate(FSSpec* outDriverSpec);
extern pascal UInt16	YarrowIsInstalled(const FSSpec* inDriverSpec);
extern pascal OSStatus	YarrowInstall(const FSSpec* inDriverSpec, void* reserved);
extern pascal OSStatus	YarrowInstallFromResFile(SInt16 inDriverRefNum, void* reserved);
extern pascal OSStatus	YarrowUninstall(const FSSpec* inDriverSpec);


#ifdef __cplusplus
	}
#endif

#pragma options align=reset

#endif	/* YarrowInstallClient_H_ */
