/* 
 * $Id: aig.h,v 1.2 2001/04/18 17:06:18 alainc Exp $
 */
#ifndef UAIPPROXY_H
# define UAIPPROXY_H

# ifdef WIN32
#  pragma warning( disable: 4786 )
# endif

# include <zks.h>
# include <zkIntTypes.h>

# define APPLICATION_VERSION            "1.0"

# define ZKS_UAIPPROXY_MOD              "Aig"

# define ZKS_UAIPPROXY_RANGE_ERR        ((uint16_t) 0x0001)
# define ZKS_UAIPPROXY_PARAM_ERR        ((uint16_t) 0x0002)
# define ZKS_UAIPPROXY_GETTIMEOFDAY_ERR ((uint16_t) 0x0003)
# define ZKS_UAIPPROXY_ID_ERR           ((uint16_t) 0x0004)
# define ZKS_UAIPPROXY_KEY_TYPE_ERR     ((uint16_t) 0x0005)
# define ZKS_UAIPPROXY_ALGO_TYPE_ERR    ((uint16_t) 0x0006)
# define ZKS_UAIPPROXY_KEY_SIZE_ERR     ((uint16_t) 0x0007)
# define ZKS_UAIPPROXY_KEY_PARAM_ERR    ((uint16_t) 0x0008)


/*
 * C++ declarations
 */
# ifdef __cplusplus

# include <zksexception.h>

# endif /* __cplusplus */  

#endif /* UAIPPROXY_H */
