//
// cDHNegotiatorEventHandlerRecv class definition
// 
// 
#ifndef __CDHNEGOTIATOREVENTHANDLERRECV_H
#define __CDHNEGOTIATOREVENTHANDLERRECV_H

#include "czkEventHandler.h"


class cDHNegotiator;

// Socket event handler class
class cDHNegotiatorEventHandlerRecv : public czkEventHandler
{
private:
    cDHNegotiator * dh;
    
public:
    cDHNegotiatorEventHandlerRecv() { dh = NULL; };
    cDHNegotiatorEventHandlerRecv(cDHNegotiatorEventHandlerRecv &)
        : czkEventHandler() { assert(0); };
    void operator=(cDHNegotiatorEventHandlerRecv &) { assert(0); }
    virtual ~cDHNegotiatorEventHandlerRecv() {};

    void handleInput(czkSocket *, czkEventHandlerData *);
    void handleOutput(czkSocket *, czkEventHandlerData *);
    void handleException(czkSocket *, czkEventHandlerData *);
    int32_t handleTimeout(czkEventHandlerData *);

    void setDHNegotiator(cDHNegotiator * dhin) { dh = dhin; };
};

#endif // __CDHNEGOTIATOREVENTHANDLERRECV_H
