#ifndef _AIP_STATS_PARAMS_H
# define _AIP_STATS_PARAMS_H

//
// file containing the parameter names for stats
//

#define MAXSTATPARMLEN 64

// for LinkManager
# define LMnewClients   "LMnewClients" 
# define LMclients      "LMclients"

// for DHNegotiator
# define DHPktRcvd      "DHPktRcvd"
# define DHPktSent      "DHPktSent"
# define DHPktDropped   "DHPktDropped"
# define DHBytesRcvd    "DHBytesRcvd"
# define DHBytesSent    "DHBytesSent"
# define DHBytesDropped "DHBytesDropped"

// for Aip Kernel
# define AKPktRcvd      "AKPktRcvd"
# define AKPktSent      "AKPktSent"
# define AKPktDropped   "AKPktDropped"
# define AKBytesRcvd    "AKBytesRcvd"
# define AKBytesSent    "AKBytesSent"
# define AKBytesDropped "AKBytesDropped"

// for PktDispatcher
# define PDPktRcvd      "PDPktRcvd"
# define PDPktSent      "PDPktSent"
# define PDPktDropped   "PDPktDropped"
# define PDBytesRcvd    "PDBytesRcvd"
# define PDBytesSent    "PDBytesSent"
# define PDBytesDropped "PDBytesDropped"

// for KeyProvider
# define KPPktRcvd      "KPPktRcvd"
# define KPPktSent      "KPPktSent"
# define KPPktDropped   "KPPktDropped"
# define KPBytesRcvd    "KPBytesRcvd"
# define KPBytesSent    "KPBytesSent"
# define KPBytesDropped "KPBytesDropped"

// for StatsPackager
# define SPPktRcvd      "SPPktRcvd"
# define SPPktSent      "SPPktSent"
# define SPPktDropped   "SPPktDropped"
# define SPBytesRcvd    "SPBytesRcvd"
# define SPBytesSent    "SPBytesSent"
# define SPBytesDropped "SPBytesDropped"

#endif /* _AIP_STATS_PARAMS_H */
