#if !defined(_cNetInfoProviderEventHandlerIO)

#define _cNetInfoProviderEventHandlerIO

#include "aip-modules.h"
#include "czknspr.h"

#include "czkEventHandler.h"

#include "cNetInfoProviderErr.h"


class cNetInfoProvider;


//
// This class will do all the I/O and Timeout event processing
// 
class cNetInfoProviderEventHandlerIO: public czkEventHandler 
{
 private:
  cNetInfoProvider *pNetInfoProvider;  // Pointer to NetInfoProvider object

 private:
  // Copy constructor (disabled)
  cNetInfoProviderEventHandlerIO(const cNetInfoProviderEventHandlerIO& e):
    czkEventHandler(e)
    {(void) e; assert(0);}

  // Assignment operator (disabled)
  cNetInfoProviderEventHandlerIO& operator=(const cNetInfoProviderEventHandlerIO& e) 
    {(void) e; assert(0);}

 public:
  // Constructor
  cNetInfoProviderEventHandlerIO();

  // Destructor
  virtual ~cNetInfoProviderEventHandlerIO();


  void setNetInfoProvider(cNetInfoProvider *nip);

  void handleInput(czkSocket* socket, czkEventHandlerData* data);
  void handleOutput(czkSocket*, czkEventHandlerData*) {assert(0);}
  void handleException(czkSocket* socket, czkEventHandlerData* data);

  int32_t handleTimeout(czkEventHandlerData* data);
};

#endif /* _cNetInfoProviderEventHandlerIO */
