#ifndef __CPKTDISPATCHERERR_H
#define __CPKTDISPATCHERERR_H

/* list of error codes for cPktDispatcher */
#define ZKS_PKTDISPATCHER_ALREADYREG_ERR      0x0001  /* Type already registered */
#define ZKS_PKTDISPATCHER_SEND_ERR            0x0002  /* Failed to send a link packet */
#define ZKS_PKTDISPATCHER_SOCKET_ERR          0x0003  /* Socket exception */
#define ZKS_PKTDISPATCHER_PKTSIZE_ERR         0x0004  /* Sending too small a pkt */
#define ZKS_PKTDISPATCHER_BADPKT_ERR          0x0005  /* Received bad packet */
#define ZKS_PKTDISPATCHER_CORELOOP_ERR        0x0006  /* Problem with core loop */
#define ZKS_PKTDISPATCHER_INVALIDCONFIG_ERR   0x0007  /* Invalid config */

#define ZKS_PKTDISPATCHER_NULLPTR_ERR         0x0008  /* Null pointer  */

# ifdef __cplusplus
extern "C" {
# endif

# ifdef __cplusplus
}
# endif

#endif /* __CPKTDISPATCHERERR_H */
