#include "cRouteCreatorAciMap.h"

#define REV_ID "@(#) $Id: cRouteCreatorAciMap.cpp,v 1.2 2001/04/18 17:37:32 alainc Exp $"
#include <zkrev.h>




cRouteCreatorInfo* cRouteCreatorAciMap::find( FrAci aci)
{ 
   cRouteCreatorInfo* r = NULL;
 
   RouteTableAciDef::iterator i = routeTableAci.find( aci);
   if (i != routeTableAci.end()) {
      r = i->second;
   }
   return r;
}
      
void cRouteCreatorAciMap::iterateBegin()
{
   prev = routeTableAci.end();
   cur = routeTableAci.begin();
}
	      
cRouteCreatorInfo* cRouteCreatorAciMap::iterate()
{
   cRouteCreatorInfo* r = NULL;
   if (cur != routeTableAci.end()) {
      r = cur->second;
      prev = cur;
      cur++;
   }
   return r;
}
          
void cRouteCreatorAciMap::eraseCur()
{
   if (prev != routeTableAci.end()) {
      routeTableAci.erase(prev);
   }
}
	      
