#include "cRouteCreator.h"
#include "cRouteCreatorTimeoutHandler.h"

#define REV_ID "@(#) $Id: cRouteCreatorTimeoutHandler.cpp,v 1.2 2001/04/18 17:37:32 alainc Exp $"
#include <zkrev.h>




int32_t cRouteCreatorTimeoutHandler::handleTimeout(czkEventHandlerData *pData)
{
  DECL_FUNC("cRouteCreatorTimeoutHandler::handleTimeout");

  try {
    // Assume NULL input ptr is OK.

    pRouteCreator->handleRouteTimeoutEvent(pData);
  }
  catch (CZKS::Exception &e) {
    e.Rethrow(func, "Failed.");
  }

  return 0;
} 
