#!/bin/sh

CONF=$3
rm -f $CONF.new

cat $CONF | awk -v name=$1 -v val=$2 \
    'BEGIN {FS = "="}; \
    {split($0, a, "[[:blank:]]*=[[:blank:]]*")}; \
    a[1] == name {gsub(a[2], val, $2); print  $1 "=" $2; next}; \
    {print $0}' >> $CONF.new

rm -f $CONF
mv $CONF.new $CONF



