#ifndef _cAipKernelStub

#define _cAipKernelStub

// class cAipKernelStub
//

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>

#include "frEnt.h"
#include "zksocket.h"

#include "czkIntervalTime.h"
#include "czkEventHandler.h"
#include "czkLock.h"
#include "czkCoreLoop.h"
#include "czkSockNativeTCP.h"

#include "cAipComponent.h"
#include "cAipComponentManager.h"

#include "cAipKernel.h"

class cAipKernelStub : public czkEventHandler {

private:
  ZkSocket    zksock;
  czkCoreLoop* coreloop;
  cAipKernel* pAipKernel;

 //configuration items


public:

  void handleInput( czkSocket*, czkEventHandlerData*);
  void handleOutput( czkSocket*, czkEventHandlerData*);
  void handleException( czkSocket*, czkEventHandlerData*);
  int32_t handleTimeout( czkEventHandlerData*);
  void retryConnect();
  void retryConnect( czkSocket* sock);

  int32_t connect(int32_t fd, char* path);
  void initSocket(czkCoreLoop* cl, cAipKernel* p);

};

#endif

