#ifndef _cKeepAlive

#define _cKeepAlive


#include "cCommandParser.h"

class cKeepAlive {

 public:

  FrEntIdExp entity;
  uint32_t   repeatInterval;
  class cPktMon* pPktMon;
  string     message;
  bool       bad;

  cKeepAlive( QualifierList qualifiers)
  {

    bad = false;

    QualifierList::iterator i = qualifiers.begin();
    while (i != qualifiers.end())
    {
      StringList vals = i->getVals();

      StringList::iterator j = vals.begin();
      string val = *j;

      if (i->getQualifier() == qualifierEntityName) {
        memset( entity.name, 0, sizeof(entity.name));
        strcpy( entity.name, val.c_str());
        entity.type = FRENT_TYPE_AIP;
      }
      else if (i->getQualifier() == qualifierRepeatInterval) {
        repeatInterval = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierMessage) {
        message = val;
      }
      else if (i->getQualifier() == qualifierBad) {
        bad = (val == valTRUE);
      }
      i++;
    }
    //cout << "cKeepAlive entity name " << entity.name << endl;
    //cout << "repeatInterval " << repeatInterval << endl;
  }
};

#endif
  
