#ifndef _cRouteAck

#define _cRouteAck


#include "cCommandParser.h"

class cRouteAck {

 public:

  uint32_t id;
  bool     nextAci;
  bool     exitAci;
  uint32_t version;
  string   message;
  bool     bad;
  class cPktMon* pPktMon;

  cRouteAck( QualifierList qualifiers)
  {

    bad = false;

    QualifierList::iterator i = qualifiers.begin();
    while (i != qualifiers.end())
    {
      StringList vals = i->getVals();

      StringList::iterator j = vals.begin();
      string val = *j;

      if (i->getQualifier() == qualifierID) {
        id = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierExitAci) {
        exitAci = (val == valGOOD);
      }
      else if (i->getQualifier() == qualifierNextAci) {
        nextAci = (val == valGOOD);
      }
      else if (i->getQualifier() == qualifierVersion) {
        version = atoi( val.c_str());
      }
      else if (i->getQualifier() == qualifierMessage) {
        message = val;
      }
      else if (i->getQualifier() == qualifierBad) {
        bad = (val == valTRUE);
      }
      i++;
    }
    //cout << "cRouteAck id " << id << endl;
    //cout << "exitAci " << exitAci << endl;
    //cout << "nextAci " << nextAci << endl;
    //cout << "version " << version << endl;
  }
};

#endif
  
