#define REV_ID "@(#) $Id: cNetInfo.cpp,v 1.2 2001/04/18 18:25:51 alainc Exp $"
#include <zkrev.h>
#include "cCommCenter.h"
#include "commonUtils.h"
#include "cNetInfo.h"

cNetInfo::cNetInfo(cCommCenter *commCenter)
{
    this->commCenter = commCenter;
}

cNetInfo::~cNetInfo()
{
}

void cNetInfo::add(AipInfo & aipInfo)
{
    uint32_t size = aipList.size();
    aipList.resize(size + 1);
    aipList[size] = aipInfo;
    
    // update netinfo list in communication center
    NetInfoList list;
    list.nbAipInfo = aipList.size();
    uint32_t i;
    for (i = 0; i < list.nbAipInfo; i++)
    {
        list.aipInfo[i] = aipList[i];
    }
    commCenter->setNetInfoList(list);
}

