#ifndef __CUAIPKAIPINTNETINFO_H
#define __CUAIPKAIPINTNETINFO_H

#include <vector>
#include "commonUtils.h"
#include "cCommCenter.h"


class cNetInfo
{
private:
    // copy constructor
    cNetInfo(const cNetInfo &) { assert(0); }
    
    // assignment operator
    void operator=(const cNetInfo &) { assert(0); }

public:
    // constructor
    cNetInfo(cCommCenter *);
    
    // destructor
    virtual ~cNetInfo();

    // add an entity and warm comm center
    void add(AipInfo &);

private:
    typedef std::vector<AipInfo> AipList;
    
    AipList                  aipList;    // list of aips
    cCommCenter * commCenter; // reference to communication center

};

#endif // __CUAIPKAIPINTNETINFO_H
