/*
 * $Id: util.c,v 1.2 2000/04/03 18:32:22 philippe Exp $
 */

static const char * module_id_ = "$Id: util.c,v 1.2 2000/04/03 18:32:22 philippe Exp $";

/*
 * This file contains a set of useful functions for manipulating dispatcher
 * data.
 */

#include <stdio.h>
#include <stdlib.h>
#ifndef WIN32
#include <unistd.h>
#endif /* ! WIN32 */
#include <string.h>
#include <ctype.h>
#include "dispatcher.h"

/*
 * Remove leading and trailing whitespace from the given string buffer.
 */

char *
utilRemoveWhiteSpace (
  char * s )
{
  int i = 0;
  int j = 0;
  int last_ws = -1;

  (void) module_id_; /* Get rid of the compile warning */
  if (s) {
    for (i = 0; s[i]; i += 1) {
      if (isspace((int) s[i])) {
        last_ws = i;
      } else {
        s[j] = s[i];
        j += 1;
      }
    }
    s[j] = (char) 0;
    if (last_ws >= 0) {
      s[last_ws] = (char) 0;
    }
  }

  return s;
} 



