/*
 *  $Id: rd_config.h,v 1.2 1999/03/13 14:25:34 bill Exp $
 */

#ifndef RANDSRV_CONFIG_H_
#define RANDSRV_CONFIG_H_


#include "zks.h"

#include <sys/types.h>


/*
 *  The information we need from our config file.
 */
struct randsrv_config {
  int daemon; /* 0: don't run as daemon; 1: run as daemon */
  int verbose;
  char *rundir; /* cd to this directory when becoming a daemon */
  char *logfile; /* the log file */
  char *randfile; /* named pipe through which we server random data */
  char *audiodev; /* path of audio device */
  char *audioinput; /* source of `noise' to the audio device */
};


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int getConfig(struct randsrv_config *conf, int ac, char **av);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* RANDSRV_CONFIG_H_ */
