/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#include "event.h"
#include "coremetaentity.h"


CoreMetaEntity::CoreMetaEntity()
:MetaEntity()
{
  MetaEntity::entity_subscribe(Kqd::EntityName);
  MetaEntity::entity_subscribe(Niqs::EntityName);
  MetaEntity::entity_subscribe(Niss::EntityName);
  MetaEntity::entity_subscribe(NymServer::EntityName);  
}



Entity * CoreMetaEntity::entity_new(const std::string aEntityName)
{
  if( aEntityName == Kqd::EntityName ) {
    return new Kqd();

  } else if( aEntityName == Niqs::EntityName ) {
    return new Niqs();

  } else if( aEntityName == Niss::EntityName ) {
    return new Niss();

  } else if( aEntityName == NymServer::EntityName ) {
    return new NymServer();
  }
  return NULL;
}
