/* Zeroknowledge Systems Inc. - Freedom Simulation  */

class Event;

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#ifndef COREMETAENTITY_H
#define COREMETAENTITY_H
#include "metaentity.h"
#include "entitylist.h"
#include "niss.h"
#include "niqs.h"
#include "nymserver.h"
#include "kqd.h"

class CoreMetaEntity: public MetaEntity {
public:
    CoreMetaEntity();

    EntityList & niqsList()   { return entity_list(Niqs::EntityName); }
    EntityList & nissList()   { return entity_list(Niss::EntityName); }
    EntityList & nymsrvList() { return entity_list(NymServer::EntityName); }
    EntityList & kqdList()    { return entity_list(Kqd::EntityName); }

    Entity * entity_new(const std::string aEntityName);
};
#endif   //COREMETAENTITY_H
