/* Zeroknowledge Systems Inc. - Freedom Simulation  */

class Event;

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#ifndef ETHERNET_H
#define ETHERNET_H

#include <string>
#include "link.h"

class Ethernet : public Link {
 public:    
  static const std::string EntityName;

 public:
  Ethernet():Link(1500, ((1.54 * 1E6) / 10)) {}

  inline const std::string & isA() const { return EntityName; }
};
#endif //ETHERNET_H
