/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

#include "event.h"
#include "eventlist.h"
#include "stime.h"


EventList::EventList() 
{
}

EventList::~EventList()
{
  while( m_list.size() ) {
    delete m_list.top();
    m_list.pop();
  }
}


Event * EventList::next()
{
  Event * aEventP = NULL;

  if( m_list.size() ) {
    aEventP = m_list.top();
    m_list.pop();
  }
  return aEventP;
}


void EventList::push(Event * aEventP)
{
  m_list.push(aEventP);
}


void EventList::clear()
{
  while( size() ) {
    delete next();
  }
}
