/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

class Event;

#ifndef MAILMETAENTITY_H
#define MAILMETAENTITY_H
#include "metaentity.h"
#include "entitylist.h"
#include "maip.h"
#include "fmg_maip.h"
#include "fmg.h"

class MailMetaEntity : public MetaEntity {
public:
    MailMetaEntity();

    EntityList & maipList()     { return entity_list(Maip::EntityName); }
    EntityList & fmg_maipList() { return entity_list(Fmg_Maip::EntityName); }
    EntityList & fmgList()      { return entity_list(Fmg::EntityName); }

    Entity * entity_new(const std::string aEntityName);
};

#endif   //MAILMETAENTITY_H
