/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#include "propertylist.h"


PropertyList::PropertyList()
{
}


Property & PropertyList::operator[] (const std::string aTag) 
{
  iterator it = m_list.find(aTag);

  if( it != end() ) {
    return it->second;
  }   

  m_list[aTag] = Property();
  
  return m_list[aTag];
}


const Property & PropertyList::operator[] (const std::string aTag) const
{
  const_iterator it = m_list.find(aTag);

  if( it != end() ) {
    return it->second;
  }   

  m_list[aTag] = Property();
  
  return m_list[aTag];
}


