/* Zeroknowledge Systems Inc. - Freedom Simulation  */

#ifdef WIN32
# pragma warning( disable: 4786 )
#endif

class Event;

#ifndef SCHEDULER_H
#define SCHEDULER_H

#include "eventlist.h"


class Scheduler {
public:

    void push(Event * aEvent);

    Event * getNext();

    Scheduler & init();

    void clear();

private:
    EventList m_EventList;

    /**
     * @link dependency
     * @stereotype PopulatedBy
     */

  /*#  Entity lnkEntity; */

    /**
     * @link dependency
     * @stereotype ConsumedBy
     */

  /*#  Monitor lnkMonitor; */
};


extern Scheduler g_scheduler;


#endif        //SCHEDULER_H
