#ifndef HARVESTER_COLLECT_H
# define HARVESTER_COLLECT_H

# ifdef WIN32
#  pragma warning(disable: 4786)
# endif

#ifdef __cplusplus  

#include "frCrypt.h"

#include <string>

#include <sys/socket.h>
//#include <netinet/in.h>
//#include <arpa/inet.h>




namespace ICSPhase1Data {

    //
    // invoke the script that parses /proc/net/dev to extract bytes sent/received
    //
    //void getEth0(std::string &dataString);
    void getEth0( uint32_t &bytesIn,
                  uint32_t &bytesOut,
                  uint32_t &pktsIn,
                  uint32_t &pktsOut);

    void GenerateMessage(std::string entityName,
                         FrCryptSig signingKey,
                         FrCryptCrypt cryptionKey,
                         struct sockaddr_in server);


} // namespace ICSPhase1Data

#endif /* __cplusplus */

#endif /* HARVESTER_COLLECT_H */
