/* $Id: laipNym.h,v 1.2 1999/02/17 21:29:34 kent Exp $ */
#ifndef LAIPNYM_H_
#define LAIPNYM_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "laip.h"

  typedef struct laip_nym *LaipNym;

  extern int laipNymNew(ZkError, LaipNym *);
  extern int laipNymFree(ZkError, LaipNym *);
  extern int laipNymFind(ZkError, ZkList, LaipNym *, const char *);
  extern int laipNymInsert(ZkError, ZkList, LaipNym);
  extern int laipNymSetName(ZkError, LaipNym, const char *);
  extern int laipNymSetCryptHandle(ZkError, LaipNym, int);
  extern int laipNymGetCryptHandle(ZkError, LaipNym, int *);
  extern int laipNymSetSigHandle(ZkError, LaipNym, int);
  extern int laipNymGetSigHandle(ZkError, LaipNym, int *);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* LAIPNYM_H_ */
