#!/bin/sh
#
# $Id: routetest.sh,v 1.3 1999/05/28 13:37:48 kent Exp $
#
BINDIR="/test/bin"
CONFDIR="/test/conf"

LISTROUTES="${BINDIR}/fr_listroutes"
LISTROUTESARGS="--config ${CONFDIR}/frListAllRoutes.conf"
LAIPPORT="--laipport 51113"
MAKEROUTES="${BINDIR}/makeroute.exp"
LISTMAPPING="${BINDIR}/listMapping.exp"

echo "[ ZKS FREEDOM NETWORK ROUTE CREATION TEST RESULTS ]"
echo ""
echo "[ IDENTIFICATION ]"
echo ""
echo "Test = ZKS Route creation test 1"
echo "Dete = `date`"
echo "Source Host = `hostname`"
echo ""
echo "[ AIPID <--> ENTITY NAME MAPPING ]"
echo ""
$LISTMAPPING $LAIPPORT
echo ""
echo "[ RESULTS ]"
echo ""

$LISTROUTES $LISTROUTESARGS | 

while read margs ; do
    route=`echo $margs | sed 's/[0-9]*//'`
    echo -n $route
    if ${MAKEROUTES} --nym luc1 --nhops ${margs} $LAIPPORT ; then
	echo " 1"
    else
	echo " 0"
    fi
done

