/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#include "openssl/des.h"
#include "frBf.h"
#include "frDes3.h"
#include "frDesX.h"
#include "frXor.h"


struct idem {
  /** A placeholder.  It serves no purpose. */
  char unused;
};

struct fr_crypt_sym {
  FrCryptSymAlg alg;
  union {
    struct desx desx;
    struct des3 des3;
    struct blowfish_v1 bfish;
    struct xor xor;
    struct idem idem;
  } u;
};
