/*
 * $Id: zkDBODefs.h,v 1.9 2000/11/23 15:12:43 marcp Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * Luc Boulianne <luc@zks.net>

 *
 *
 */
#ifndef ZKDBODEFS_H_
#define ZKDBODEFS_H_

#define ZKDBO_REG_START 100


#define ZKDBO_REG_FRENTITY 100
#define ZKDBO_REG_FRENTITYID 101
#define ZKDBO_REG_FRAIPSTATUS 102

#define ZKDBO_REG_FRNSDBAIP 105
#define ZKDBO_REG_FRNSDBLINK 106
#define ZKDBO_REG_FRNSDBCDV 116

#define ZKDBO_REG_FRNTDBAIP 103
#define ZKDBO_REG_FRNTDBLINK 104
#define ZKDBO_REG_FRNTDBNEIBR 107
#define ZKDBO_REG_FRNTDB_DETAILED_NEIBR 108
#define ZKDBO_REG_FRNTDB_NODE 109
#define ZKDBO_REG_FRNTDB_HOST 110

#define ZKDBO_REG_FRNIDB_QRESPLIST 111
#define ZKDBO_REG_FRNIDB_QRESPDESC 112
#define ZKDBO_REG_FRNIDB_QRESPSTATE 113

#define ZKDBO_REG_FRNIDB_OBJ 114

#define ZKDBO_REG_FRENTITY_UPDATES 115

#define ZKDBO_REG_FRNSDBOBJ 116

#define ZKDBO_REG_END 117
#define ZKDBO_REG_MAX ZKDBO_REG_END-ZKDBO_REG_START+2
#endif
