print "1..1\n";

print "Note: the manual test: testAllMailAuth found in this test dir
is not handled by this test script and should be run by hand!!\n";

if($< != 0) {
  print "You must be root to run this test (it does a suid)\n";
  print "\nnot ok\n";
  
  exit(1);
}

my $qmailCtlDir = "/freedom/qmail/control";
my @ctlFiles = ("mailmackey", "mailroot", "tmpmailroot");

if( -e $qmailCtlDir) {
  print "This test needs to overwrite the directory: $qmailCtlDir\n"; 	
  print "Delete the directory and try again.\n\n";
  print "not ok\n";
  exit(1);
} else {
  
  system("mkdir -p $qmailCtlDir >& /dev/null");
  if( ! -e $qmailCtlDir) {
    print "Test script Failed to create directory: $qmailCtlDir\n\nnot ok\n";    
    exit(1);
  }
  
  system("cp qmailcontrolfiles/* $qmailCtlDir >& /dev/null");
  foreach $file (@ctlFiles) {
    my $fullPath = $qmailCtlDir."/".$file;
    
    if( ! -e $fullPath){
      print "Test script failed to create control file: $fullPath";
      exit(1); 
    }
  }
 
  
  $res = `./test.sh`;	
  if($res != 0) {
    print "Error: test.sh exited with value $res.";
    print "not ok\n";
  } else {
    print "ok\n";
  }
}

exit(0);


