#!/bin/sh
# ---------------------------------------------------------------------------
#
# $Id: tcheckblocklist.sh,v 1.3 2000/11/23 15:13:05 marcp Exp $
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

#
# This test script allows you to exercise the checkblocklist utility.  It
# assumes that you have a ZKS build environment set up.
#
# Usage:
#
# %> ./tcheckblocklist.sh sender recipient [options]
#
if [ $# -lt 2 ]
then
    echo "${0}: you must specify at least the sender and recipient"
    exit 100
fi

export SENDER="${1}"
export RECIPIENT="${2}"

shift 2

if ${ZK_ROOT}/arch/${ZK_ARCH}/Debug/bin/checkblocklist $*
then
    echo "${0}: allowed" 1>&2
else
    echo "${0}: blocked" 1>&2
fi

exit
    

