#include "frmailmid.h"

int main(){
  char m[200];
  int r;

  frCryptSetMsgID(NULL, "mid@example.net", m, sizeof m, "me", "fnord", strlen("fnord"));
  frCryptRecoverMsgID(NULL, &r, m, "me", "fnord", strlen("fnord"));
  printf("ret=%d\n",r);
  if (r != 1) return 1; /* ok */

  frCryptSetMsgID(NULL, "mid@example.net", m, sizeof m, "myself", "fnord", strlen("fnord"));
  frCryptRecoverMsgID(NULL, &r, m, "me", "fnord", strlen("fnord"));
  printf("ret=%d\n",r);
  if (r != 0) return 1; /* bad nym */

  frCryptSetMsgID(NULL, "mid@example.net", m, sizeof m, "me", "ford", strlen("fnord"));
  frCryptRecoverMsgID(NULL, &r, m, "me", "fnord", strlen("fnord"));
  printf("ret=%d\n",r);
  if (r != 0) return 1; /* bad secret */

  frCryptRecoverMsgID(NULL, &r, "mid@example.net", "me", "fnord", strlen("fnord"));
  printf("ret=%d\n",r);
  if (r != 2) return 1; /* not authenticated */

  printf("ok\n");
  return 0;
}
