/* $Id: frNRDB.h,v 1.3 2001/04/19 20:28:37 alainc Exp $ */
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRNRDB_H_
#define FRNRDB_H_
#include <frNDB.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frNRDBGetOverrideRoute (ZkError err, FrNDB n, int *override);
  extern DLLExport int frNRDBIsOverrideRouteSet (ZkError err, FrNDB n) ;
  extern DLLExport int frNRDBIsGetRoutesInSequenceSet(ZkError err, FrNDB n) ;
  extern DLLExport int frNRDBGetRandomRoute (ZkError err, FrNDB n, int *route);
  extern DLLExport void NetworkRDB_Version(char* buf, size_t bufsz, int* maj, int* min);
  extern DLLExport int frNRDBGetNextRouteInSequence (ZkError err, FrNDB n,
						     int *override);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRNCDB_H_ */

