/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#include "zks.h"

#include <frNDBpkt.h>

int frNDBHandlePkt(ZkError err, struct sockaddr_in host, char *buf, 
                   size_t bsz, size_t *psz, FrNDBPktDest *dst)
{
  const char *func = "frNDBHandlePkt";
  (void) host;
  (void) buf;
  (void) bsz;
  (void) psz;
  (void) dst;
  
  zkErrorSet(err, func, ZKWARN, ZKMNDB, ZKESTUB, "Stub function");
  return 0;
}

int frNDBLinkDown(ZkError err, struct sockaddr_in host, char *buf, size_t *bsz,
                  FrNDBPktDest *dst)
{
  const char *func = "frNDBLinkDown";
  (void) host;
  (void) buf;
  (void) bsz;
  (void) dst;

  zkErrorSet(err, func, ZKWARN, ZKMNDB, ZKESTUB, "Stub function");
  return 0;
}

int frNDBLinkUp(ZkError err, struct sockaddr_in host, char *buf, size_t *bsz,
                FrNDBPktDest *dst)
{
  const char *func = "frNDBLinkUp";
  (void) host;
  (void) buf;
  (void) bsz;
  (void) dst;

  zkErrorSet(err, func, ZKWARN, ZKMNDB, ZKESTUB, "Stub function");
  return 0;
}

int frNDBStatus(ZkError err, char *buf, size_t *bsz, FrNDBPktDest *dst)
{
  const char *func = "frNDBStatus";
  (void) buf;
  (void) bsz;
  (void) dst;

  zkErrorSet(err, func, ZKWARN, ZKMNDB, ZKESTUB, "Stub function");
  return 0;
}
