/* $Id: frStatPkt.h,v 1.3 2000/11/23 15:13:25 marcp Exp $ */
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef FRSTATPKT_H_
#define FRSTATPKT_H_

#ifndef FRENT_H_
#include "frEnt.h"
#endif

#ifndef FRPKTFMT_H_
#include "frPktFmt.h"
#endif

#ifndef FRSEC_H_
#include "frSec.h"
#endif

#ifndef FRCRYPT_H_
#include "frCrypt.h"
#endif

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

  extern int frStatPktUpdateReq(ZkError, FrPktType, unsigned int,
                                uint32_t, int, FrCryptPubKey, void **, 
                                size_t *);

  extern int frStatPktUpdate(ZkError, unsigned int, uint32_t, int,
                             char *, size_t, void **, size_t *);

  extern int frStatPktGetSigInfo(ZkError, void *, size_t, FrEntIdExp *, 
                                 unsigned int *);

  extern int frStatPktGetUpdInfo(ZkError, void *, size_t,
                          unsigned int *, FrPktType *, uint32_t *,
                          int *, void **, size_t *);

  extern int frStatPktGetUpdData(ZkError err, void *pkt, size_t psz,
                                 unsigned int *vers, FrPktType *type,
                                 uint32_t *ttl, int *id,
                                 void **data, size_t *dsz);
  
#ifdef __cplusplus 
}
#endif /* __cplusplus */

#endif /* FRSTATPKT_H_ */
