/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef __TS_PRIOQUEUE_H__
#define __TS_PRIOQUEUE_H__

int TS_pq_new(unsigned char *pq, unsigned int numnodes);

int TS_pq_isfull(unsigned char *pq);

int TS_pq_isempty(unsigned char *pq);

unsigned int TS_pq_size(unsigned char *pq);

int TS_pq_insert(unsigned char *pq, FrPktPrio prio, TS_fs_index ind,
    TS_fs_index *todeletep);

TS_fs_index TS_pq_delmin(unsigned char *pq);

void TS_pq_destroy(unsigned char *pq);

#endif /* ! __TS_PRIOQUEUE_H__ */
