#ifndef MAIP_AMTP_H_
#define MAIP_AMTP_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int amtpCommandHeader (
  ZkError ,               /* Returns the error if any occured */
  ZkipSession ,           /* The ZKIP session which called this command */
  void * );               /* Optional command data block */

int amtpCommandMessage (
  ZkError ,               /* Returns the error if any occured */
  ZkipSession ,           /* The ZKIP session which called this command */
  void * );               /* Optional command data block */

int amtpCommandAlttext (
  ZkError ,               /* Returns the error if any occured */
  ZkipSession ,           /* The ZKIP session which called this command */
  void * );               /* Optional command data block */

int amtpCommandTarget (
  ZkError ,               /* Returns the error if any occured */
  ZkipSession ,           /* The ZKIP session which called this command */
  void * );               /* Optional command data block */


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* MAIP_AMTP_H_ */
