#if 0
/*
 * $Id: nidbtool-commands.h,v 1.3 2000/11/24 15:03:09 marcp Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef COMMANDS_H_
#define COMMANDS_H_

DLLExport int cmdShowContext (
  ZkError ,              /* Return the error if any occured */
  ZkShell ,              /* A ZK command shell structure */
  char ** ,              /* The list of tokens on the input line */
  size_t ,               /* The number of tokens */
  void * );              /* Typecast this to NymToolContext * */

#define CMD_TOKEN_USAGE \
"token list | redeem | delete | description | save [arg1 ...]"

#define CMD_TOKEN_DESCR \
"Used to manipulate the nymtool token cache"

#define CMD_TOKEN_HELP \
"The token command has various subcommands used to manipulate the\n" \
"token cache.\n\n" \
"redeem SerialNumber\n" \
"list\n" \
"delete index" \
"description index\n" \
"save\n"

DLLExport int cmdToken (
  ZkError err ,
  ZkShell shell ,
  char ** token ,
  size_t tokens ,
  void * userdata );


#endif /* COMMANDS_H_ */
#endif
