/*
 * $Id: nidbtoolCmdReport.h,v 1.3 2000/11/24 15:03:09 marcp Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef CMDREPORT_H_
#define CMDREPORT_H_

#include <zks.h>

#define CMD_REPORT_USAGE \
"report ent-type ent-name"

#define CMD_REPORT_DESCR \
"Used to get info from database entries"

#define CMD_REPORT_HELP \
"this command queries information about the specified entity\n" \
"the content of the answer is:\n" \
"            TBD\n"

#include "fr_nidb.h"



/**
 * Public functions
 */
extern int
cmdReport (
    ZkError  err ,
    ZkShell  shell ,
    char **  token ,
    size_t   tokens ,
    void *   userdata
);

#endif 
