/* 
 * $Id: niqscmds.h,v 1.12 2000/08/02 14:03:28 louis Exp $
 */

#include <ZKIP.h>
#include <zkipSession.h>

#ifndef NIQSCMDS_H_
#define NIQSCMDS_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern int niqsCmdCacheDataVersion (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */

  extern int niqsCmdQuery (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */

  extern int niqsCmdAvailable (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */

  extern int niqsCmdList (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */

  extern int niqsCmdTokenInfo (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */

#if 0
  extern int niqsCmdTokenInfoTest (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */
#endif

  extern int niqsCmdClientInfo (
    ZkError ,                  /* Return the error if any */
    ZkipSession ,              /* ZKIP session structure */
    void * );                  /* ZKIP Session data */

  extern int niqsCmdStatus( 
    ZkError err ,              /* Return the error if any */
    ZkipSession session ,      /* ZKIP session structure */
    void * data );             /* ZKIP Session data */

  extern int niqsCmdAccessCtrlList( 
    ZkError err ,              /* Return the error if any */
    ZkipSession session ,      /* ZKIP session structure */
    void * data );             /* ZKIP Session data */

  extern int niqsCmdMxQuery(
    ZkError err ,              /* Return the error if any */
    ZkipSession session ,      /* ZKIP session structure */
    void * data );             /* ZKIP Session data */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* NIQSCMDS_H_ */
