#!/bin/sh
#
# cron job run every min for .dat file generation
#

#
# public settings - can be changed according to installation
#
homepath=/usr/fradmin
inputpath=/freedom/var/log


#
# private settings - must not be changed
#
progname=cron_min
libpath=${homepath}/lib
logfile=${homepath}/var/log/${progname}.log
lockfile=${homepath}/var/run/${progname}.lock


exec >> ${logfile} 2>&1

if ${libpath}/lock.pl ${lockfile}
then

    echo "----------------------------------------"
    date

    #
    # jobs to run
    #
#
# insert command to run HERE
#

    rm $lockfile

else
    echo "${progname}: couldn't get lock file ${lockfile}"
fi
