#ifndef NISSREPLAY_H_ 
#define NISSREPLAY_H_

/*
  IMPORTANT:  In order to avoid problems, this header file must be included this way:
  
  #ifdef _NISS_REPLAY_FEATURE_
  #  include "nissReplay.h"
  #endif
 
  in the source file before any other header files.
  This header file should not be included by a header file.
*/

#warning "*************************************************************************"
#warning " T H I S   F E A T U R E   H A S   N O T   B E E N   T E S T E D   Y E T"
#warning "*************************************************************************"


#ifndef _NISS_REPLAY_FEATURE_
#  error "This header file should be included for NISS-Replay only"
#endif

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

#define recvfrom               nissReplay_recvfrom
#define sendto                 nissReplay_sendto
#define time                   nissReplay_time

#define zkFileRecordData       nissReplay_zkFileRecordData
#define zkSelectUpdateTimeout  nissReplay_zkSelectUpdateTimeout

#define frNissCmdOpenPort      nissReplay_frNissCmdOpenPort

#define NISS_REPLAY_MY_CMD_LISTEN_FD  3
#define NISS_REPLAY_MY_UDP_FD         4

extern const char  *nissReplay_FileName;

#ifdef __cplusplus 
}
#endif /* __cplusplus */

#endif /* NISSREPLAY_H_ */
