/*
 * $Id: commands.h,v 1.1 1999/02/17 22:41:20 philippe Exp $
 */


#ifndef COMMANDS_H_
#define COMMANDS_H_

DLLExport int cmdShowContext (
  ZkError ,              /* Return the error if any occured */
  ZkShell ,              /* A ZK command shell structure */
  char ** ,              /* The list of tokens on the input line */
  size_t ,               /* The number of tokens */
  void * );              /* Typecast this to NymToolContext * */

#define CMD_TOKEN_USAGE \
"token list | redeem | delete | description | save [arg1 ...]"

#define CMD_TOKEN_DESCR \
"Used to manipulate the nymtool token cache"

#define CMD_TOKEN_HELP \
"The token command has various subcommands used to manipulate the\n" \
"token cache.\n\n" \
"redeem SerialNumber\n" \
"list\n" \
"delete index" \
"description index\n" \
"save\n"

DLLExport int cmdToken (
  ZkError err ,
  ZkShell shell ,
  char ** token ,
  size_t tokens ,
  void * userdata );


#endif /* COMMANDS_H_ */
