/*
 * $Id: seek.c,v 1.2 2000/10/04 12:56:36 marcp Exp $
 *
 * This program takes a file descriptor number and an offset to
 * which to seek that file descriptor.
 *
 */
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char **argv) {
  
  int fd;
  off_t off;

  if (argc < 3) {
    printf("usage: %s <fd> <pos>\n", argv[0]);
    exit(1);
  }

  /*
   * Bug #6011 - the arguments should be validated!
   */

  fd = (int)(strtol(*(argv++),NULL,0));
  off = (off_t)(strtol(*(argv++),NULL,0));
  if (lseek(fd,off,SEEK_SET) == -1) {
    return 1;
  } else {
    return 0;
  }
}
