#!/bin/bash
#
#

LIBDIR="$ZK_ROOT/freedom/popmail/test/lib/perl/"
DOCDIR="$ZK_ROOT/freedom/popmail/test/doc/"

LIBRARIES="Connection Domain Factory Message Server User"

for LIBRARY in $LIBRARIES; do
    FILES=`ls $LIBDIR/$LIBRARY/*.pm`
    for FILE in $FILES; do
	FILEROOT=`basename $FILE`
	FILENAME=`echo $FILEROOT | sed -e 's/\.pm//g'`
	echo "Processing $LIBRARY/$FILEROOT"
	pod2html --flush \
		 --noindex \
		 --htmlroot=.. \
		 --infile=$FILE \
		 --outfile=$DOCDIR/$LIBRARY/$FILENAME".html"
    done
done

rm -f *cache