package Test::Error;

# $Id: Error.pm,v 1.2 2000/10/04 12:57:30 marcp Exp $

use Carp;

sub split_and_prefix {
    my($prefix, $message) = @_;
    my($result) = "";
    my(@lines) = split(/\n/, $message);
    my($line);
    foreach $line (@lines) {
	$result .= "$prefix " . $line . "\n";
    }
    return $result;
}

sub error {
    my($string) = shift;
    print split_and_prefix('<error>', "`" . $string . "'" . Carp::shortmess());
    return $string;
}

sub log {
    print split_and_prefix('<log>', shift);
}

return 1;
