package UserConfig;

# $Id: UserConfig.pm,v 1.2 2001/04/19 19:31:11 alainc Exp $

# User parameters for gamma network
$user_param = {
    Total_Test_Nyms => 10,    # total number of test nyms
};

# valid test users for this network
$test_users = [
	       {
		   Name => "phil08",
		   Type => "0",
		   User => "phil08",
		   Password => 'L(Ji-6@]',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       {
		   Name => "phil09",
		   Type => "0",
		   User => "phil09",
		   Password => 'l;SvFh1L',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       {
		   Name => "phil10",
		   Type => "0",
		   User => "phil10",
		   Password => 'SqBYACP<',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       {
		   Name => "phil11",
		   Type => "0",
		   User => "phil11",
		   Password => 'F1j@tU[a',
		   Mail_Size_Limit => 0,
		   Mail_Send_Limit => 0,
		   Mail_Volume_Limit => 0,
	       },

	       ];

# bogus test users for this network
$bogus_users = [
		{
		    Name => "qwerty",
		    Type => "0",
		    User => "qwerty",
		    Password => "password",
		    Mail_Size_Limit => 0,
		    Mail_Send_Limit => 0,
		    Mail_Volume_Limit => 0,
		},
		];

# valid test NYMs for this network

$test_nyms = [

              {
                  Name => 'tricia_test_nym_0',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzA=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzAAAQAAAAA79S0IAQAAAPoAAAQAAAAMAAAAAAUfvAIUlUHdvRum',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_1',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzE=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzEAAQAAAAA79S0JAQAAAPoAAAQAAAAMAAAAAAVMSvyASqqZM7vH',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_2',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzI=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzIAAQAAAAA79S0JAQAAAPoAAAQAAAAMAAAAAAVawikjnbcNpEbJ',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_3',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzM=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzMAAQAAAAA79S0KAQAAAPoAAAQAAAAMAAAAAAW6sgRyPhtNsqos',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_4',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzQ=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzQAAQAAAAA79S0KAQAAAPoAAAQAAAAMAAAAAAXWZZIX4fkRTF9i',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_5',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzU=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzUAAQAAAAA79S0LAQAAAPoAAAQAAAAMAAAAAAWYj7K9DZ2nmch9',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_6',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzY=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzYAAQAAAAA79S0LAQAAAPoAAAQAAAAMAAAAAAV1D2MfeeLR4Erc',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_7',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzc=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzcAAQAAAAA79S0MAQAAAPoAAAQAAAAMAAAAAAWWGXLLIghYQrJS',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_8',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzg=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzgAAQAAAAA79S0MAQAAAPoAAAQAAAAMAAAAAAU9s8qPn/+8zhoh',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

              {
                  Name => 'tricia_test_nym_9',
                  Type => '',
                  User => 'dHJpY2lhX3Rlc3RfbnltXzk=',
                  Password => 'AQEGdHJpY2lhX3Rlc3RfbnltXzkAAQAAAAA79S0NAQAAAPoAAAQAAAAMAAAAAAXZxO8/kXz/j0v8',
                  Mail_Size_Limit => 2048,
                  Mail_Send_Limit => 2048,
                  Mail_Volume_Limit => 2048,
              },

	       ];

# bogus test NYMs for this network
$bogus_nyms = [

	       {
		   Name => 'nonexistent0',
		   Type => "0",
		   User => 'bm9uZXhpc3RlbnQw',
		   Password => 'BOGUSPASSWORD',
		   Mail_Size_Limit => 2048,
		   Mail_Send_Limit => 10,
		   Mail_Volume_Limit => 2048,
	       },

	       {
		   Name => 'nonexistent1',
		   Type => "0",
		   User => 'bm9uZXhpc3RlbnQx',
		   Password => 'BOGUSPASSWORD',
		   Mail_Size_Limit => 2048,
		   Mail_Send_Limit => 10,
		   Mail_Volume_Limit => 2048,
	       },

	       ];


