#ifndef TKSRV_ADMIN_H
# define TKSRV_ADMIN_H

// Module name
# define ZKS_TKSRV_ADMIN_MOD                                 "TokenServerAdmin"

// Errors definition
# define ZKS_TKSRV_ADMIN_EXIT_ERR                             0x0001
# define ZKS_TKSRV_ADMIN_ABORT_ERR                            0x0002
# define ZKS_TKSRV_ADMIN_OPEN_ERR                             0x0003

// Application version
# define ZKS_TKSRV_ADMIN_VERSION                              "1.0"

// Ini section
# define ZKS_TKSRV_ADMIN_SECTION                              "TKADMIN"

// Ini keys
# define ZKS_TKSRV_ADMIN_LOG_FILE_KEY                         "log.file"                  // path
# define ZKS_TKSRV_ADMIN_DEBUG_KEY                            "debug"                     // bool
# define ZKS_TKSRV_ADMIN_VERBOSE_KEY                          "verbose"                   // bool

# define ZKS_TKSRV_ADMIN_LOCAL_BUFFER_LENGTH_KEY              "local.buffsz"              // int

# define ZKS_TKSRV_ADMIN_LOCAL_RCV_TIMEOUT_KEY                "local.recv.timeout"        // in seconds
# define ZKS_TKSRV_ADMIN_LOCAL_SND_TIMEOUT_KEY                "local.send.timeout"        // in seconds

# define ZKS_TKSRV_ADMIN_DAEMON_LOCAL_SOCKFILE_KEY            "daemon.local.sockfile"     // path

#endif /* TKSRV_ADMIN_H */
