#define REV_ID "@(#) $Id: engine.cpp,v 1.3 2001/04/23 22:41:10 alainc Exp $"
#include "zkrev.h"

#include "tksrv.h"
#include "engine.h"
#include "event.h"
#include "server.h"

#include "zkslogwrap.h"


// /////////////////////////////////////////////////////////////////////////////
//
// Base Engine
//
// /////////////////////////////////////////////////////////////////////////////

//
//
//
Event Engine::rcv()
{
  ZKS_ASSERT(ZKS_TKSRV_MOD, m_srv);

  return Event(m_srv, Event::CNX, CZKS::Timeval(CZKS::Timeval::INFINITE)); 
}


//
//
//
Event Engine::snd()
{
  ZKS_ASSERT(ZKS_TKSRV_MOD, m_srv);

  return Event(m_srv, Event::CNX, CZKS::Timeval(CZKS::Timeval::INFINITE)); 
}


//
//
//
Event Engine::timeout()
{
  ZKS_ASSERT(ZKS_TKSRV_MOD, m_srv);

  return Event(m_srv, Event::CNX, CZKS::Timeval(CZKS::Timeval::INFINITE)); 
}


//
// Current received command
//
uint16_t Engine::rcvCmd() const
{
  ZKS_ASSERT(ZKS_TKSRV_MOD, m_srv);

  return TkPktHeader(const_cast<char *>(m_srv->rcv_buff()), m_srv->rcv_buffsz()).cmd();
}

