#ifndef _ZK_AIP_TEST_BLAH_BNITH_H
#define _ZK_AIP_TEST_BLAH_BNITH_H
/*  Program:         Test module handler.
 *  Author(s):       Troy McLelan
 *  Description:     As the name suggests, this handles all test modules.
 *  ToDo:            Lots.
 *  Known Bugs:      None.
 */
#include "TestModuleSet.h"
/*
 *
 */
class TestModuleHandler {
public:
  TestModuleHandler();
  ~TestModuleHandler();
  void ProcessRequest(UserRequest &);
private:
  TestModuleHandler(TestModuleHandler &) {throw BadOperatorException("TestModuleHandler copy");}
  TestModuleHandler& operator=(const TestModuleHandler&) {throw BadOperatorException("TestModuleHandler =");}
  void operator&() {throw BadOperatorException("TestModuleHandler &");}
  // A list of all the test modules to be used.
  TestModule * basemod;
  ConfigModule * configmod;
  TokenModule * tokmod;
  NetModule * netmod;
  NymModule * nymmod;
  KeyModule * keymod;
  TestingModule * testmod;
  ClientModule * clientmod;
  DHModule * dhmod;
};
#else
#warning TestModuleHandler.h redefined.
#endif

