#!/usr/bin/perl -w

use strict;
use English;
use Getopt::Long;

require $ENV{'HOME'} . "/lib/freedomAdminLoadUtils.pl";
require $ENV{'HOME'} . "/lib/freedomAdminLoadDbUtils.pl";

my $PATH             = $ENV{'HOME'} . "/lib/freedomAdminLoadUtils.pl";

my $APPNAME          = $PROGRAM_NAME;
my $MAILTO           = 'root';

my $MAIL_CMD         = `which mutt`;
my $ECHO_CMD         = "/usr/bin/echo";

my @list             = `ls $PATH*.rej 2> /dev/null`;
my @flist            = grep /\.rej$/, @list;

chomp $MAIL_CMD;
chomp $ECHO_CMD;

if( $#flist != -1 ) {
        my $msg = join '\n', @flist;
        chomp $msg;

        `$ECHO_CMD \"<< REJECTED FILE >>\n\n$msg\" | $MAIL_CMD -s \"[FrAdmin] Database Reject Alert\" $MAILTO`;
        printf STDOUT "$APPNAME: %d Reject found\n", $#flist+1;
} else {
        printf STDOUT "$APPNAME: No Reject found\n";
}

exit 0;
