#!/usr/bin/perl -w

use strict;
use English;
use Getopt::Long;

my $APPNAME  = $PROGRAM_NAME;
my $DIRDIFF  = $ENV{'HOME'} . "/lib/dirdiff.pl";
my @list;
my @cmd;
my $rc;
my $res;
my %optctl  = ();

## Get the Options
##
$res = &GetOptions(\%optctl, 
                  "help",
                  "remotehost=s",
                  "remotepath=s",
                  "localpath=s"
		 ) || die "No can do $!";

  
my $cmd = 
  "$DIRDIFF " . 
  "--remotehost=$optctl{remotehost} " .
  "--remotepath=$optctl{remotepath} " .
  "--localpath=$optctl{localpath} |";

#print "$cmd\n";

open (FICH, $cmd) || die "Can't get listing with $cmd";
while (<FICH>) {
	chomp();
	push @list, $_;
}
close (FICH);

#print STDERR "$#list: " . join(" ", @list). "\n";


if ($#list >= 1) {
#    print STDERR "multiples files to transfer\n";
	#@cmd = ("echo", "scp", "$optctl{remotehost}:$optctl{remotepath}/\{" . join(",", @list) . "}", $optctl{localpath});

#	@cmd = ("/usr/local/bin/scp","-q","$optctl{remotehost}:$optctl{remotepath}/\{" . join(",", @list) . "}", $optctl{localpath});
	my $cmd = "/usr/local/bin/scp -q $optctl{remotehost}:$optctl{remotepath}/\{" . join(",", @list) . "} $optctl{localpath}";
#	print join(" ", @cmd),"\n";
#	exit 1;

	$rc = 0xffff & system($cmd);
	
	if ($rc != 0) {
	  print "command failed: $!\n"; 

	}
} elsif ($#list == 0) {
#    print STDERR "One file to transfer\n";
	#@cmd = ("echo", "scp", "$optctl{remotehost}:$optctl{remotepath}/\{" . join(",", @list) . "}", $optctl{localpath});
	
#	@cmd = ("/usr/local/bin/scp", "-q ", "$optctl{remotehost}:$optctl{remotepath}/$list[0]", $optctl{localpath});
    	$cmd = "/usr/local/bin/scp -q $optctl{remotehost}:$optctl{remotepath}/$list[0] $optctl{localpath}";
	$rc = 0xffff & system ($cmd);
	
	if ($rc != 0) {
	  print "command failed: $!\n"; 

	}
}

