
use strict;
use Mysql;

sub ConnectToDatabase {
  if (!defined $::db) {
    $::db = Mysql->Connect("localhost", "freedom_admin", "fradmin", "") || die "Can't connect to database server.";
  }
}


sub SendSQL {
  my ($str) = (@_);
#	print STDOUT "SQL: " . $str . "\n";
  $::currentquery = $::db->query($str);
}

sub NumRows {
	return $::currentquery->numrows();
}


sub FetchSQLData {
  if (defined @::fetchahead) {
    my @result = @::fetchahead;
    undef @::fetchahead;
    return @result;
  }
  return $::currentquery->fetchrow();
}


sub MoreSQLData {
  if (defined @::fetchahead) {
    return 1;
  }
  if (@::fetchahead = $::currentquery->fetchrow()) {
    return 1;
  }
  return 0;
}

sub SqlErrNo {
  return $::db->errno();
}

sub SqlErrMsg {
	return $::db->errmsg();
}

sub FetchRow {
  my @row = FetchSQLData();
  
  return @row;
}

sub QuietModeEnable {
	$Mysql::QUIET = 1;
}

sub QuietModeDisable {
	$Mysql::QUIET = 0;
}

sub FetchMoreRow {
  my @row = FetchSQLData();
 
  return @row;
}


sub FetchColumn {
  my ($collum)= @_;
  my @row = FetchSQLData();
 
  return $row[$collum];
}


1;
