divert(-1)
#
# Zero Knowledge Systems Inc. 
#
# Master Config file for the Freedom Mail Gateway
#
# Luc Boulianne <luc@zks.net>
#

divert(0)dnl
VERSIONID(`@(#)ZKS-FMG-DEMO v1.2')

dnl
dnl  Set your Operating system type below
dnl
OSTYPE(linux)dnl

define(`confDOMAIN_NAME', `$w.$m')dnl
define(`confCW_FILE', `-o /etc/sendmail.cw')dnl

MASQUERADE_AS(demo.freedom.net)dnl
FEATURE(masquerade_envelope)dnl
FEATURE(relay_entire_domain)dnl
FEATURE(use_cw_file)dnl

#### Experimental.
dnl FEATURE(stickyhost)dnl
dnl FEATURE(access_db, hash -o /etc/mail/access)dnl
dnl FEATURE(rbl)dnl

MAILER(local)dnl
MAILER(smtp)dnl

LOCAL_RULE_0
#
# Special handing of mail to FMG users
# Testing FMG redirection of mail - Kent
#
Rmail2news@demo.freedom.net			$#local $:mail2news
Rmail2news < @ demo . freedom . net . >		$#local $:mail2news
R$+@demo.freedom.net				$#local $:fmg
R$+<@demo.freedom.net.>				$#local $:fmg

