divert(-1)
#
# Zero Knowledge Systems Inc. 
#
# Master Config file for the Freedom Mail Gateway
#
# Luc Boulianne <luc@zks.net>
# modified: 19991114


divert(0)dnl
VERSIONID(`@(#)Zero Knowledge Freedom Mail Gateway for v3.1')

dnl
dnl  Set your Operating system type below
dnl
OSTYPE(linux)dnl

#
# Macro defining our domain
D{FreedomDomain}groomlake.freedom.net
D{FreedomTrialDomain}trial.groomlake.freedom.net

# Users that should not be sent into the FMG
# Nor should they be masqueraded.
FL/etc/sendmail.cL

define(`confDOMAIN_NAME', `$w.$m')dnl
define(`confCW_FILE', `-o /etc/sendmail.cw')dnl

#MASQUERADE_DOMAIN(${FreedomTrialDomain})dnl
#MASQUERADE_DOMAIN(${FreedomDomain})dnl
#MASQUERADE_AS(${FreedomDomain})dnl
MASQUERADE_AS()dnl
#FEATURE(limited_masquerade)dnl
#FEATURE(masquerade_entire_domain)dnl
FEATURE(masquerade_envelope)dnl
FEATURE(relay_entire_domain)dnl
FEATURE(use_cw_file)dnl
#
# Ensure that user freedom is trusted.
#
FEATURE(use_ct_file)dnl
FEATURE(accept_unresolvable_domains)dnl

#### Experimental.
dnl FEATURE(stickyhost)dnl
dnl FEATURE(access_db, hash -o /etc/mail/access)dnl
dnl FEATURE(rbl)dnl

MAILER(local)dnl
MAILER(smtp)dnl

### More experimentation
dnl MAILER(freedom)dnl

LOCAL_RULE_0
#
# Handle mail 2 news 
#
Rmail2news @ ${FreedomTrialDomain}		$#local $:mail2news
Rmail2news < @ ${FreedomTrialDomain} >		$#local $:mail2news
Rmail2news @ ${FreedomDomain}			$#local $:mail2news
Rmail2news < @ ${FreedomDomain} >		$#local $:mail2news
#
# Special handing of mail to FMG users
#
# Local users $=L are not sent to the Freedom Domain
# These users are located in /etc/sendmail.cL (see FL above)
#
R$=L < @ ${FreedomTrialDomain} . >		$#local $: @ $1	#special local names
R$+ < @ ${FreedomTrialDomain} . >		$#local $:fmg
R$=L < @ ${FreedomDomain} . >			$#local $: @ $1	#special local names
R$+ < @ ${FreedomDomain} . >			$#local $:fmg
