#!/bin/sh
#
# Genesis-sync
# Script to mirror Genesis related files for remote machine
#
# Luc Boulianne <luc@zeroknowledge.com>
# $Id: genesis-mirror.sh,v 1.13 2001/04/23 17:33:11 alainc Exp $
#
# Requires ssh tunnel for proxy server

debug=-v

cp /dev/null log

tail -f log | egrep -v '(Last-modified|?.=.)' &

http_proxy=localhost:31280
export http_proxy

find serverbld1.cia.zks.net -type f -mtime +1 | xargs -t echo rm 
# wget $debug --proxy=on --mirror -a log --no-parent http://hangar2.dev.zks.net/build/freedom_server_core_v1_1/daily/Development/RPMS 
# wget $debug --proxy=on --mirror -a log --no-parent http://hangar2.dev.zks.net/build/freedom_server_core_v1_1/20000511/Development/RPMS 
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://akira.dev.zks.net/build/TestKeys 
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://akira.dev.zks.net/build/Hybrids
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://akira.dev.zks.net/build/QmailPreinstall
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://caesar.zks.net/genesis/sendmail-8.9.2-linux-ix86 
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://caesar.zks.net/genesis/dbutils-linux-ix86.tar.gz
wget $debug --proxy=on --mirror -a log --level=1 --no-parent -nH http://caesar.zks.net/genesis/genesis 
wget $debug --proxy=on --mirror -a log --level=1 --no-parent -nH http://caesar.zks.net/genesis/genesis-rem-sngen.sh 
wget $debug --proxy=on --mirror -a log --level=1 --no-parent -nH http://caesar.zks.net/genesis/download-genesis
wget $debug --proxy=on --mirror -a log --level=1 --no-parent -nH http://caesar.zks.net/genesis/genesis.tgz
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://caesar.zks.net/~build/PKG-V1.1-dev/sunos-5.7-sparcv9 
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://caesar.zks.net/~build/PKG-V2.0-dev/sunos-5.7-sparcv9
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://caesar.zks.net/~build/RPMS-REL_FREEDOM_SERVER_V1_0N
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://serverbld1.cia.zks.net/main/daily/Release/RPMS/
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://serverbld1.cia.zks.net/scarecrow_dev/latest/Release/RPMS/
wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://serverbld1.cia.zks.net/scarecrow_int/latest/Release/RPMS/

wget $debug --proxy=on --mirror -a log --recursive --no-parent http://builds.zks.net/builds1/SCARECROW_RSD/20000928.14/Server/

wget $debug --proxy=on --mirror -a log --level=1 --no-parent http://fishbowl.dev.zks.net/build/Release/REL_FREEDOM_CORE_DB_2_0/

echo "Done"
find . -name '\??=?' -print | xargs rm 
killall tail
egrep '(Forbidden|error)' log
