#!/bin/bash 
#
# Genesis Test Network Utility
#
# $Id: genesis-rc-links.sh,v 1.9 2001/05/01 22:59:12 francisk Exp $
# Luc Boulianne <luc@zks.net>
#
# $1 is the service to run
# 
req=$1

function debug () {
   echo "[debug] $*" 1>&2
}

function advise () {
   echo "[#] $*" 1>&2
}

cat <<EOT | while read service name prog startpri stoppri restartpri
aip      fraipd     /usr/freedom/sbin/fr_srvctl         090 910 0
fmg      fmg        /usr/freedom/sbin/fr_srvctl         070 930 0
fmgmaip  fmg-maip   /usr/freedom/sbin/fr_srvctl         080 920 0
keyqry   kqd        /usr/freedom/sbin/fr_srvctl         020 980 0
keyupd   frkscpd    /usr/freedom/sbin/fr_srvctl         040 960 0
maip     frmaipd    /usr/freedom/sbin/fr_srvctl         100 900 0
niqs     frniqsd    /usr/freedom/sbin/fr_srvctl         025 975 0
niss     frnissd    /usr/freedom/sbin/fr_srvctl         030 970 0
nntp     nntpserver /usr/freedom/sbin/fr_srvctl         110 890 0
nymsrv   frnscpd    /usr/freedom/sbin/fr_srvctl         050 950 0
post     frpostnews /usr/freedom/sbin/fr_srvctl         110 890 0
replic   frreplicd  /usr/freedom/sbin/fr_srvctl         035 965 0
toksrv   frsnapd    /usr/freedom/sbin/fr_srvctl         060 940 0
lode     frloded    /usr/freedom/sbin/fr_srvctl         120 880 0
qmail    qmail      /usr/freedom/qmail/rc/fr_qmail_ctl  120 120 120
uaip     fruaipd    /usr/freedom/sbin/fr_uaipd          090 910 0
EOT
do
    if [ $req = $service ] ; then
        advise "  - Creating RC links"
	ln -s $prog /freedom/etc/rc/S$startpri.$name
	ln -s $prog /freedom/etc/rc/K$stoppri.$name
	if [ "$restartpri" != "0" ] ; then
	    ln -s $prog /freedom/etc/rc/R$restartpri.$name
	fi
    else 
	:
	# echo "  - No links available for $1" 1
    fi
done

