# aip20-uninstall.pm
# uninstall aip 2.0 components (rpms, kaip drivers, etc..)

use IniConf;

my $entity = $context->get_host()->get_name();
my $domain = $context->get_network()->get_parameters()->{"domain"};
#my $domain = $network->get_parameters()->{"domain"};

my $niqs = "niqs.$domain";

Logger::informational("first stop all aip services");
system("[ -x /etc/rc.d/init.d/aipconf ] && /etc/rc.d/init.d/aipconf stop");
system("killall fruaipd uaipd kaipd ");

Logger::informational("flush masquerading rules and kill kaip interfaces");
system("ipchains -F");
system ("ifconfig kaip0 down");
system ("ifconfig kaip1 down");

Logger::informational("remove kaip module");
system ("rmmod kaip");
system ("[ -L /lib/modules`uname -r`/misc/kaip.o ] && rm -f /lib/modules`uname -r`/misc/kaip.o");

Logger::informational("now remove kaip and uaip packages");

system("rpm -e freedom-uaip");
system("rpm -e freedom-kaip");
system("rpm -e freedom-coreaip");
system("rpm -e freedom-knt");
system("rpm -e freedom-fmg");
system("rpm -e freedom");

1;

