#!/usr/bin/perl -w

#$Id: dbsrv-setup.pm,v 1.1 2001/06/20 23:24:24 colm Exp $

use lib './lib';
use lib '../lib';
use lib './lib/IO';
use lib '../lib/IO';

use Logger;
use Misc;

# This will setup the necessary environment to run a mock pubkeydb database server for purposes of inserting keys


# ********* TODO ***************  NEED TO ENSURE THAT INSTANCE OF DATABASE SERVER IS NOT ALL READY RUNNING AND TO REMOVE ANY EXISTING COPY OF DUMMY-PUBKEYDB
# WANT TO DO THIS AS USER FREEDOM

#if (!Misc::become_user('freedom')) {
#  Logger::error_and_die("Could not become user freedom\n");
#}

#Morpheus::prompt_user("DO NOT RUN THIS IF THIS MACHINE IS PART OF TEST NETWORK - SHIT WILL GET FUCKED UP.\nDo you wish to continue?");

# become freedom
if (!Misc::become_user('freedom')) {
  Logger::fatal("Could not become user freedom");
}
my $pubkeydb_conf_path = "/usr/freedom/etc/db/pubkeydb.remote.conf";
my $pubkeydb_conf = "keyset-gen/conf/dummy-pubkeydb.local.conf";

# copy dummy pubkeyb file to appropriate location (this is hardcoded in alot of keyutils - makes it easier)
if (-f $pubkeydb_conf_path) {
  if (system("diff $pubkeydb_conf $pubkeydb_conf_path")) {
     Logger::fatal("This network seems to be part of a test network -- please remove file $pubkeydb_conf_path if you want to continue");
  }
} else {
  if (system("cp $pubkeydb_conf $pubkeydb_conf_path")) {
     exit 1;
  }
}
$rc = (system("cp -f keyset-gen/conf/dummy-access.conf /tmp"));
$rc = (system("mkdir -p /tmp/dummy-pubkeydb/dummy-pubkeydb"));
# Need to add if pid file exists here - skip for now 

# KILL dbsrv if already running
my $pid_file = "/tmp/dummy-zkdbsrv-pubkeydb.pid";
if (-f $pid_file) {
  $rc = (system("kill -TERM -`cat $pid_file`"));
}

# MAKE APPROPRIATE DIRECTORIES FOR dbsrv to run
$rc = (system("rm -f /tmp/dummy-pubkeydb/dummy-pubkeydb/*"));
$rc = (system("mkdir -p /tmp/translog/dummy-pubkeydb/dummy-pubkeydb"));
$rc = (system("rm -f /tmp/translog/dummy-pubkeydb/dummy-pubkeydb/*"));

# COPY OVER MINIMUM PUBKEYDB
$rc = (system("cp keyset-gen/conf/pubkeydb.min /tmp/dummy-pubkeydb/dummy-pubkeydb/dummy-pubkeydb"));
$rc = (system("zkdbsrv --config $pubkeydb_conf_path"));

exit $rc;
