
# $Id: single_pubkey_insert.pm,v 1.1 2001/06/20 23:24:24 colm Exp $

# THIS IS TO BE RUN ON THE KQD


use lib './lib';
use lib '../lib';
use lib './lib/IO';
use lib '../lib/IO';
use lib './modules';

use Logger;

my $network = $context->get_network();
my $entity = $context->get_entity();
my $host = $context->get_host();
my $crypt = $context->get_morpheus()->get_crypt();

my $key_entity_type = shift;
my $key_entity_name = shift;

#switch core aip
if ($key_entity_type eq "coreaip") {
  $key_entity_type = "aip";
}

# remove existing keys in upd dir
my $updDir = "/tmp/upd/$key_entity_name";

if (! (-d $updDir)) {
  system("mkdir $updDir");
}

Misc::system_to_log_file("rm $updDir/*");
my $tarball = "pubkeys.$key_entity_name.tgz";

if (!($crypt->file_in_crypt($tarball))) {
  Logger::fatal("Tarball of entity keys for $key_entity_type $key_entity_name was not found on KQD");
}

Logger::informational("copying crypt ball `$tarball' to signing arena `$updDir'");    
if (!($crypt->move_from_crypt($tarball,$updDir))) {
  Logger::fatal("Could not move $tarball from crypt to $updDir");    
}


Logger::informational("Untarring $tarball");
Misc::system_to_log_file("cd $updDir ; tar zxvpfsP $tarball");
#Can clean out tarballs now... - do we want to keep them around a little longer? - should be fine
Misc::system_to_log_file("cd $updDir ; rm -f $tarball");


if (!Misc::become_user('freedom')) {
  Logger::error_and_die("Could not become user freedom\n");
}

#make sure has necessary path variables 
$ENV{'PATH'} .= ':/usr/freedom/bin:/usr/freedom/sbin';
$ENV{'USER'} = 'freedom';
$ENV{'HOME'} = '/freedom';


  
# Will use existing expect script - could port this in explicitly if want more logging
my $signing_key_dir = "/usr/freedom/privkey/FrMonth/sig";
my $signing_key_file = "1";
my $command = ("keyset-gen/bin/frsignallkeys.exp $signing_key_dir $signing_key_file $updDir");

Misc::system_to_log_file($command);
 
Misc::system_to_log_file("keyset-gen/bin/insert_pubkey.pl --type=$key_entity_type --name=$key_entity_name");



1;
