#! /bin/bash

#$Id: checkpasswd.sh,v 1.3 2001/04/19 19:17:54 alainc Exp $

#hack script so that will output return value of checkpassword


passfile=$1
network=$2

mailmackey_dir="$ZK_FRTOOLBOX_ROOT/qmail/control"

if [ ! -d $mailmackey_dir ] ; then
   echo "You do not have the mailmackey directory structure set up.  Cannot check nym mail passwords"
   echo "You need to create directory $mailmackey_dir and have the proper mailmackeys in that directory in the form mailmackey.$network"
   echo "Missing Directory"
   exit
fi
   
if [ ! -f $mailmackey_dir/mailmackey.$network ] ; then
   echo "You do not have a mailmackey for network $network (in form mailmackey.$network) in directory $mailmackey_dir"
   echo "Missing mailmackey"
   exit
fi

# move required network mailmackey to right spot
cp $mailmackey_dir/mailmackey.$network $mailmackey_dir/mailmackey
checkpassword 3<$passfile
echo $?
