#! /bin/sh -f
#$Id: routes_sanity.sh,v 1.2 2001/04/19 19:17:54 alainc Exp $

if [ $# -lt 2 ] ; then
    echo "Usage: $0 <network> <nym_name>"
    exit;
fi

network=$1
nym_name=$2

test="routes"
root_dir="/turf/$USER"



laip --config $root_dir/.freedom/$network/$network.conf 



$ZK_FREEDOM_ROOT/tools/server-bvt/bin/routes_check.exp $network $nym_name  


#kill laip process if still running
kill `cat /tmp/laip.pid`

#write summary
echo "ROUTES SANITY SUMMARY:" > routes_summary.txt	
echo "----------------" >> routes_summary.txt	
cat laip_summary.log >> bvt_summary.txt
echo "ERROR MESSAGES FROM LAIP TEST:" >> bvt_summary.txt
echo "-----------------------------" >> bvt_summary.txt
grep "FAILED" routes.dump >> bvt_summary.txt
grep "ERROR" routes.dump >> bvt_summary.txt
grep "ERROR" laip_test.log >> bvt_summary.txt
