#ifndef ZKDLPI_H_
#define ZKDLPI_H_

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int zkDLPIVerifyAck (
  ZkError ,                           /* Returns the error */
  int ,                               /* File descriptor from which to read */
  char * ,                            /* Buffer to send to STREAM (empty) */
  size_t );                           /* Number of bytes in the buffer */

int zkDLPIAddAddress (
  ZkError ,                           /* Return the error if any occured */
  int ,                               /* File desc. for which to set addr */
  struct sockaddr * ,                 /* Hardware address */
  struct sockaddr * );                /* Protocol address */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ZKDLPI_H_ */
