/**
 * worm_packet.h
 *
 * Statistics/status storing and NISS updating.
 * $Id: worm_packet.h,v 1.1 1999/10/04 20:33:47 nicolas Exp $
 */
#ifndef WORM_PACKET_H_
#define WORM_PACKET_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <zks.h>
#include <zkIntTypes.h>
#include <zkTypes.h>
#include <zkError.h>
#include "worm.h"



int zkWormholeReadPacket(ZkError , ZkWormhole *  , int  ,  unsigned char * , ZkIPHeader ** , size_t * );

int zkWormholeWritePacket(ZkError , ZkWormhole * , ZkIPHeader *  , size_t );



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* WORM_PACKET_H_ */
