#include <db.h> 
#include <zkIntTypes.h>
#include <zkMemPool.h>
#include <zkError.h>
#include <zkConfig.h>
#include <zkCmdSrv.h>

#ifndef ZKDBCOMM_H
#define ZKDBCOMM_H

/* Server specific data set before starting the database server. */
typedef ZkConfig ZkDBServer;

/* Process specific data allocated for each new process forked. */
typedef ZkDB ZkDBProcess;

/* Session specific data allocated on each new connection. */
typedef struct T_ZkDBSession *ZkDBSession;


extern int zkDBServer_SetCallbacks(ZK_OUT ZkError err, 
                                   ZK_IN ZkCmdSrv cmdsrv);


#ifdef ZKMOD
# undef ZKMOD
#endif
#define ZKMOD ZKMDBSRV

#endif
