#ifndef NSCP_H_
#define	NSCP_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define VERSION_NSCP_STR "Zero-Knowledge Systems Nym Server V1.0 ("__DATE__")"

int nymCommandModify (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandDisable (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandTokenType (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandQuery (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandCreate (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandGet (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandAvailableNames (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandAddToken (
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandRbActivate(
  ZkError ,
  ZkipSession ,
  void * );

int nymCommandMailCert(
  ZkError ,
  ZkipSession ,
  void * );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* NSCP_H_ */
