#ifndef XFERCLIENT_H_
#define XFERCLIENT_H_

DLLExport int xferUploadData (
  ZkError ,           /* Returns the error if any occured (inc. ZKIP errs) */
  const char * ,      /* Target server hostname */
  unsigned short ,    /* Target server port number */
  int ,               /* Timeout in seconds */
  const char * ,      /* Remote filename */
  void * ,            /* Data to send */
  size_t );           /* Number of bytes in data */

DLLExport int xferDownloadData (
  ZkError err ,
  const char * server ,
  unsigned short port ,
  int timeout ,
  const char * filename ,
  char ** data ,
  size_t * dsz );

DLLExport int xferGetDirectory (
  ZkError err ,
  const char * server ,
  unsigned short port ,
  int timeout ,
  char ** directory ,
  size_t * dsz );


#endif /* XFERCLIENT_H_ */
