/*
 *	MacOSPrefix.dbg.h		(c) 2000 Zero-Knowledge Systems, Inc.
 *	
 *	$Id: MacOSPrefix.dbg.h,v 1.2 2001/04/19 17:34:57 alainc Exp $
 *	
 *	General-purpose CodeWarrior prefix file, for debugging builds
 *	
 */

#undef NDEBUG
#define _DEBUG	1

#if !defined(Rez)
#	define FREEDOM_DEVELOPMENT_BUILD	"FREEDOM BUILD ("__DATE__", "__TIME__")"
#endif

#if defined(__MWERKS__) && !defined(Rez)
	/* CodeWarrior */
#	if __POWERPC__
		/* PowerPC compiler */
#		pragma traceback on 
#	elif __MC68K__
		/* Motorola 680x0 compiler */
#		pragma macsbug on 
#	endif
#endif

/* we want the <stdint.h> macros, even with C++ */
#define __STDC_LIMIT_MACROS	1

/* strip out patented stuff in OpenSSL */
#define NO_IDEA
#define NO_RC5
