#include "cAipComponent.h"
#include "czkThreadTrack.h"
//
// entry point to start a component in a thread
//

// StartThread is a "C" routine used to start a component thread 
// (hence the name)
//
// it simply calls the startup method of the specified component
//
// it is to be invoked by the "spawn" method of the czkThread class
// and thus, will executed in the context of new thread
//
// since the startup method of the specified component never returns, 
// the thread is borne.
//
void ZKPR_CALLBACK StartThread( void* arg)
{

  cAipComponent* component = (cAipComponent*) arg;

  czkThreadTrack threakTracker(component);

  component->startup();
}

