#include "czkThread.h"

ZKPRThread* czkThread::spawn( void (*func)(void *arg), void* clientData,
                              ZKPRThreadScope scope, ZKPRThreadState state,  
                              ZKPRThreadPriority priority, 
                              uint32_t stackSize) 
{
  return PR_CreateThread(ZKPR_USER_THREAD, func, clientData,
                         priority, scope, state, stackSize);
}
                
int32_t czkThread::join(ZKPRThread* h)
{
  assert(h);

  ZKPRStatus status = PR_JoinThread(h);
  return PRtoZKStatus(status);   
}

