#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>

#include <iostream>

#include <strstream>


//routine to format an integer into a char buffer
//NOTE that this char buffer must be used right away (or copied)
//since it will be overwritten by the next call to "format"
char* format( int32_t a)
{
  const int32_t buflen = 128;
  static char buf[128];
  static std::ostrstream oss( buf, buflen, std::ios::out);
  oss.seekp(std::ios::beg);
  oss << a;
  return buf;
}

