/*
 * $Id: timer.h,v 1.2 2001/04/19 16:49:22 alainc Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _TIMER_H
#define _TIMER_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#include <zkallocator.h>
  
typedef struct T_ZkPerfTimerInfo {
  char *name;
  ZkTimer timer;
} ZkPerfTimerInfo;
  

struct T_ZkPerfTimer {

  ZkAllocator allocator;
  
  ZkPerfTimerInfo *table;
  int tableNum;
  int tableMax;
  
};


#define ZK_TIMER_INFO_TABLE_SIZE 10

  
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _client_H */
