#!/bin/sh
#
# Usage:
# depend.sh [dest file] [toplevel source dir] [gcc arguments] [filename]
#
DIRNAME=`dirname $4`
# FOR GREAT JUSTICE
gcc -M -MG $3 $2/$4 | \
  sed -e 's@^\(.*\)\.o:'@${DIRNAME}'/\1.d '${DIRNAME}'/\1.o: @' | \
  tee $1 | \
  tr ' ' '\012' | \
  sed -e 's/^\(.*\)\.[do]//' -e 's/^\\$//' \
    -e '/^$/ d' -e '/:$/ d' -e 's/$/ :/' >> $1
